What is DataParts?
DataParts for SharePoint 2007 User's Guide
What is DataParts?

Software FX, a leading company in the innovation of Data Visualization solutions is now leveraging its years of experience to introduce a product that brings a whole new set of possibilities to the Microsoft SharePoint 2007 Platform.

Software FX DataParts for SharePoint 2007 is a collection of Web Parts created to address the needs of SharePoint users to extend the data and content visualization capabilities of their portal environments. Complete with charts, gauges and list-presentation Web Parts, DataParts allows users of any level to easily create and customize the way they see and work with content in their SharePoint pages.

In this article

bookmark link Key Features and Benefits

Key Features and Benefits

  • Improve the look and functionality of your SharePoint 2007 portal with attractive and powerful Web Parts.
  • Easy installation. DataParts integrates seamlessly with the SharePoint environment without the need of any additional configuration.
  • Easily connect and visualize data from popular data sources like SharePoint Lists, SQL Server or Business Data Catalogs (BDC)
  • Simple user interface, designed to suit both IT administrators and end users alike.
  • Smooth end user interactions through the use of powerful AJAX techniques, avoiding cumbersome page refreshing, while providing mechanisms to analyze your data more efficiently.
  • Theme awareness. All Web Parts automatically adjust to fit the color scheme of the site, allowing a seamless integration with minimum effort.
  • Fully interactive wizards, efficiently integrated into the SharePoint Tool Pane provide a wide range of customization possibilities.
  • Real-time preview allows the user to see changes to the Web Part instantly while editing.
  • A great variety of motifs, themes and palettes carefully selected to capture visual attention at first glance

DataParts includes several individual and powerful Web Parts to fulfill SharePoint user’s needs. Software FX will include new Web Parts as the product evolves, addressing the needs for vertical functionality and markets. In its current iteration, the following Web Parts are included:

  • Advanced List
  • Card View
  • Chart
  • Digital Panel
  • Horizontal Gauge
  • Radial Gauge
  • Vertical Gauge.

Top of Page

@2009 Software FX, Inc. All Rights Reserved. Chart FX and Grid FX are registered trademarks of Software FX, Inc.
DataParts is a trademark of Software FX, Inc. All other names are trademarks or registered trademarks of their respective owners.


Before you Begin
Before you Begin
In this article

bookmark link Overview

bookmark link Cautions and Warnings

bookmark link Pre-Installation Activities

bookmark link Hardware Requirements

bookmark link Server Software Requirement

bookmark link Client PC Software Requirements

Overview

Before you begin to install DataParts, you must be sure that you comply with the following points:

  • You have Administrator rights in the server where DataParts will be installed
  • The server must be running under any SharePoint Compatible Operating System
  • The server has installed Microsoft Office SharePoint (MOSS) 2007 or Windows SharePoint (WSS) 3.0
  • Ensure IIS 6 or above is installed and configured

Top of Page

Cautions and Warnings

  • Make sure Software FX DataParts is not already installed on your SharePoint.

Top of Page

Pre-Installation Activities

Before you install DataParts for SharePoint 2007 you MUST have administrator rights and access to the installation files

The installation file will be located on the CD or at the link sent to you by the confirmation email along with the serial number of the product.

Top of Page

Hardware Requirements

  • Software FX DataParts for SharePoint 2007 runs on platform of 32-bit version as well as x64-base version.
  • Pentium III Compatible CPU, 550 MHz or higher
  • 2 CPUs recommended 1 GB RAM

Top of Page

Server Software Requirement

  • Any SharePoint Compatible OS
  • Any of the following SharePoint Versions

    • Microsoft Office SharePoint Server (MOSS) 2007
    • Windows SharePoint Services (WSS) 3.0

Note:Microsoft Search Server 2008 and Search Server 2008 Express are also supported.

Top of Page

Client PC Software Requirements

DataParts maintains the same client side requirements of SharePoint, which basically consist of any major browser with JavaScript and DHTML Support. Users will be able to use DataParts components in any Operating System running any of the supported browsers:

  • Microsoft Internet Explorer 6 and above.
  • Mozilla Firefox 2 and above.

Top of Page


Installation Procedure
Installation Procedure

In order to allow for an easy and intuitive configuration of the Web Parts, DataParts integrates directly with the SharePoint Environment. This is done automatically by our interactive installer. Simply follow these simple steps to install DataParts on your SharePoint server.

  1. After saving the DataParts installer file locally on the server, execute the file to begin installation process.

  2. DataParts requires the Microsoft Ajax Extensions 1.0 to be present in the system. If not found, DataParts will give you the option to install them. Simply click on Ignore warnings and continue with installation and click on continue to proceed. If you do not wish to install the Ajax extensions, please click cancel to exit the DataParts installation.

  3. Read and accept the terms and conditions of the license agreement, and click Next
  4. Enter the Serial Number sent to you in the confirmation email or CD you received with the product, and click Next. If you did not receive a serial number, please contact sales@softwarefx.com for assistance.
  5. The installer will try to connect to Software FX’s activation servers in order to verify the serial and create the license information. If the system is connected to the internet, this process will be done automatically. You can continue with step 6 of this guide. If the system does not have direct access to the Internet, if you access the Internet via a proxy or if the installer has problems reaching our servers, you will need to perform manual steps before you can continue with the installation:

    1. Once the installer detects the connection problem, you will receive a challenge code. Please be aware that the challenge code may be much longer than what appears visible. Click on the copy button to save it to the clipboard

    2. Take the code to a machine with an Internet connection and browse to:http://register.softwarefx.com/LicenseCode
    3. Once there, click on the button on the left side of the page. A dialog will appear with an empty box. Copy the challenge code you obtained from the installer and click on Request License Code

    4. You will get a new page with your DataParts License code. Select the whole license code, and copy it:

    5. Back in the system where you are installing DataParts, click on the Next button. The screen will provide you with a blank box. Paste the code you obtained in the previous step and click Next to resume the installation.

  6. Select Installation Path, enter the Name and the Company name, then click Next
  7. You will be presented with a list of all the Web applications available in the system. Please choose the SharePoint Web Applications for which you would like to enable DataParts.

  8. The installation will start copying files and registering the web parts into the SharePoint environment.
  9. Click Finish to close the installer.


Deployment
Deployment

After the DataParts installation is complete, the new Web Parts will be available directly on the Web Part Gallery of the SharePoint web applications selected during the installation. No additional configuration steps are required.

Every user with editing permissions on a given page will be able to add and configure DataParts components.

For deployment on multiple web applications, running the installer is the only way to configure DataParts to work on a specific Web Application. If you wish to enable DataParts on Web Sites created after the original DataParts install, you will need to run the installer again and choose only the websites without a previous DataParts deployment. You can also contact support@softwarefx.com to obtain a standalone tool for targeted deployment.


Obtaining Help
Obtaining Help
In this article

bookmark link Overview

bookmark link Free Online Support

bookmark link Help and Resource Center

bookmark link SharePoint Server Help and How-to

bookmark link Software FX Community

bookmark link Free Trial Support

bookmark link Service Packs

bookmark link Priority Support Program

Overview

At Software FX, one of our main interests is to provide our customers the best and most complete support options for our products. For that reason, we offer different ways to obtain assistance.

Top of Page

Free Online Support

Free support online is available 24/7, 365 days a year at http://support.softwarefx.com/, which includes samples & resources, knowledge base articles (coming soon), product registration, and more.

Top of Page

Help and Resource Center

Help and Resource Center is included when DataParts is installed. It contains helpful information such as user’s guide, release notes & support.

Top of Page

SharePoint Server Help and How-to

Browse to your SharePoint Server Help and How-to, Software FX DataParts help documentation is integrated into your portal as well.

Top of Page

Software FX Community

Our knowledge base is available 24/7 for community-based questions and answers. It is regularly monitored and posted by our technical support staff. You can visit and join to our Software FX Community forum at http://community.softwarefx.com/forums/.

Top of Page

Free Trial Support

Free trial support is available to anyone who downloads for Software FX DataParts for SharePoint 2007 for the trial period. This support is available via email at support@softwarefx.com or by phone at (561) 392-2023.

Top of Page

Service Packs

Free service packs for download if new releases are available for bug fixes and maintenance as long as the product is actively supported.

Top of Page

Priority Support Program

Priority Support Program consists of a full one-year subscription of direct phone and e-mail contact with our technical support staff. A support account is required for this option. To obtain further information about pricing and promotions, please contact sales@softwarefx.com.

Top of Page


Frequently Asked Questions
Frequently Asked Questions
In this article

bookmark link Overview

bookmark link Is DataParts compatible on a 64-bit server machine?

bookmark link What are the minimum MOSS 2007 requirements for DataParts? Is the Enterprise CAL required to install and use DataParts?

bookmark link Is there a conflict if another Chart FX product is already installed on the SharePoint Portal?

bookmark link What should I do if I get "Serial Number is not registered"?

bookmark link Is DataParts compatible with SharePoint Designer?

Overview

The Frequently Asked Questions (FAQ) section contains important information about Software FX DataParts for SharePoint 2007 as well as troubleshooting steps and known issues.

Top of Page

Is DataParts compatible on a 64-bit server machine?

Yes, Software FX DataParts for SharePoint 2007 runs on 32-bit and 64-bit machines.

Top of Page

What are the minimum MOSS 2007 requirements for DataParts? Is the Enterprise CAL required to install and use DataParts?

There are no requirements for DataParts other than SharePoint itself. It should work fine on Windows SharePoint Services (WSS) 3.0 or Microsoft Office SharePoint Server (MOSS) 2007.

Top of Page

Is there a conflict if another Chart FX product is already installed on the SharePoint Portal?

There should be no conflict between Chart FX products and DataParts. However, if there is an unexpected behavior, please contact us at support@softwarefx.com with detailed information such as product, version, serial numbers, operating system platform, and other.

Top of Page

What should I do if I get "Serial Number is not registered"?

Please contact us at support@softwarefx.com with you serial number, so we can properly check on our databases.

Top of Page

Is DataParts compatible with SharePoint Designer?

No, DataParts does not support SharePoint Designer yet. Our development team is currently working on this matter.

Top of Page


Performing Manual Installation
Performing Manual Installation


Installing DataParts in a Web Farm
Installing DataParts in a Web Farm


Configuring Single Sign-On
Configuring Single Sign-On


Choosing the Right DataParts Component
Choosing the Right DataParts Component

DataParts provides a collection of customizable Web Parts, each with a specific purpose. While each DataParts component has a much targeted functionality, they can be grouped in the following categories based on their general characteristics: List/Card presentation web parts, Chart web parts and Gauge web parts.

In this article

bookmark link List/Card Presentation Web Parts

bookmark link Chart Web Parts

bookmark link Gauge Web Parts

List/Card Presentation Web Parts

Advanced List The Advanced List web part is intended to provide an advanced presentation vehicle that lets you view and interact with the content of Lists, Databases and Business Data Catalogs on any page in your SharePoint site. The tabular layout resembles the look of the built-in SharePoint Lists but provides additional User Interface elements that provide sorting, filtering and paging for easy navigation.

Card View Like the Advanced List, this web part provides an alternative for the display of list data within SharePoint. On the other hand the Card View web part provides the user with several different layout formats, providing extensive flexibility on how the data fields are shown. This web part is ideal for displaying data containing thumbnails or small images
Top of Page

Chart Web Parts

Chart The Chart web part lets the user choose from a gallery containing more than 25 different chart types. From simple Pie and Bar charts to complex XY and Financial plots, the chart web part is a great asset in the visualization and analysis of numerical data.
Top of Page

Gauge Web Parts

Horizontal Gauge, Radial Gauge and Vertical Gauge These web parts provide quick visual access to specific data from databases, lists, or BDCs. Gauge web parts let the user view one or two values at a time making them excellent for monitoring and tracking purposes.

Digital Panel Like the needle/marker-based gauge web parts, the Digital Panel lets you view one or two specific values in a single display. However, this web part does have support for non-numerical data making it very useful to visualize messages, times or dates.

For detailed information on each DataParts component please check the section for each web part later in this User’s Guide.

Top of Page


Adding a DataParts Component to a Page
Adding a DataParts Component to a Page

The following steps guide you to add a Software FX DataParts component to a page:

  1. Browse to the SharePoint page where you wish to add any of the DataParts components and click Site Actions to open the drop down menu.
  2. Select Edit Page

  3. Click Add a Web Part

  4. The web part gallery dialog will pop up with all the available web parts galleries. Scroll down for a section titled Software FX DataParts. This section contains all the DataParts components

  5. Click on the Checkbox next to each web part to select it. You may select more than one web part.
  6. Click Add button to close this dialog, and the selected web part(s) will display on the site.

  7. Click on the Open the tool pane link in order to open the Tool Pane wizard and begin customizing your web parts.


Customizing your Web Parts
Customizing your Web Parts

The real fun begins once you have added the web parts to the page. DataParts for SharePoint 2007 provides a simple yet powerful mechanism of adjusting the web parts to your needs. The Tool Pane Wizard presents all the customization options on a special frame to the right of your content allowing you to modify your DataParts component without navigating away from the page.

All the configuration of the DataParts component is done through the Tool Pane. The provided wizards will walk you through the process of configuring data, modifying the look and adjusting other feature-specific elements of the web part.

While working with the tool pane, all actions will be shown instantly on the DataParts component allowing you to visualize your changes at real time.

Once you are ready to make your web part available, simply click on the OK button in the tool pane in order to close it and commit the changes.

Note:Please remember that even though the actions done in the tool pane are shown in the web part in real time, the actual changes are not applied until you click on the OK or Apply buttons. If you exit edit mode or browse away from the page, before clicking on OK or Apply, all pending changes will be lost.


The Advanced List and Card View Web Parts
The Advanced List and Card View Web Parts

The Advanced List and Card View web parts provide a toolbar and a context sensitive floating bar that provides the user with contextual options. The UI for this web parts makes it very easy to sort, filter and navigate through several pages of data.

Note:The end user interface for Chart and the List-Presentation web parts is intended for temporary in-place analysis of the data shown. Leaving the page will reset the web part to the original shared web part state. If you want to permanently modify the chart, please enter edit mode and use the tool pane wizard.


The Chart Web Part
The Chart Web Part

The Chart and List-Presentation web parts included in DataParts provide an end user interface that allows for additional interaction outside edit mode. This UI is aimed to improve analysis and readability of the data being presented and not to provide an additional method of customizing the shared web part itself.

The Chart part provides a both a toolbar and comprehensive context menus that give the user the option to zoom, scroll, modify visual properties and even the gallery type.

Note:The end user interface for Chart and the List-Presentation web parts is intended for temporary in-place analysis of the data shown. Leaving the page will reset the web part to the original shared web part state. If you want to permanently modify the chart, please enter edit mode and use the tool pane wizard.


Using Parameters in SQL Statements
Using Parameters in SQL Statements

Using Parameters options are available when you write the SQL statement using specific parameters by using the "@"prefix character in a variable. This named parameter has a specific name that the database uses to match the parameter value to its placeholder location in the statement text.

For example: if you want to select the invoices only from a range of dates, but you want such range to be dynamic, i.e. can change at runtime, you would write a SQL statement such as:

SELECT * FROM Invoices WHERE InvoiceDate >= @StartDate AND InvoiceDate <= @EndDate

Then, you will specify where to take the parameters from:

  • A parameter in the URL: uses one of the parameters coming in the calling URL. For example, if the page is invoked as http://vpcwin2k3moss/Pages/TestDP4.aspx?StartID=25&EndID=30 you can use the parameter StartID or EndID.
  • Another DataParts Component: this is one of the most useful scenarios, since it allows you to create drilldown scenarios, without the need to use child data in the grid. At the time, only Advanced List and Card View are supported as parameters source, but we expect to support selection on the chart in the short term.
  • A Web Part connection: many SharePoint Web Parts support something called Connection, which is the standard way to pass data between web parts in SharePoint. You can create a Forms Web Part with two input fields.

Using parameters in a SQL statement provides several benefits:

  • Better performance: a SQL statement instance that uses parameters can execute more efficiently because the statement is prepared a single time, and it can be executed multiple times using different parameter values, without needing to recompile the SQL statement.
  • Explicit Data Typing: parameters are used to allow for typed substitution of values that are unknown at the time the SQL Statement is constructed.
  • Greater security: the use of parameters helps prevent a malicious technique.

Once, the SQL statement is provided, simply click on Accept. If there are no problems executing the statement, the web part will be successfully populated.


Using Parameters in SharePoint Lists
Using Parameters in SharePoint Lists

Using Parameters options are available when you use a SharePoint List.

The List selection screen will automatically populate the List name drop down with all the custom lists available to the current site. Select the list you wish to bind to your web part. Then, choose a view from the View name drop down box. This menu will be populated with all the views present for the selected list. If no custom views are present, simply select All Items.

On the filtering options, you are able to show all items in this view, or show items only when a column contains the parameter.

The Configure Parameters wizard assists you to take parameters from:

  • A parameter in the URL: uses one of the parameters coming in the calling URL. For example, if the page is invoked as http://vpcwin2k3moss/Pages/TestDP4.aspx?StartID=25&EndID=30 you can use the parameter StartID or EndID.
  • Another DataParts Component: this is one of the most useful scenarios, since it allows you to create drilldown scenarios, without the need to use child data in the grid.
  • A Web Part connection: many SharePoint Web Parts support something called Connection, which is the standard way to pass data between web parts in SharePoint. You can create a Forms Web Part with two input fields.

Once, the connection is configured, simply click on Accept. If there are no problems with the connection, the web part will be successfully populated.


Overview
Overview

The DataParts Advanced List web part lets you take the presentation of lists and other tabular data to the next level. Display your SQL query, SharePoint list or BDC content in any page of your site in a visually attractive, fully customizable web part.

With the Advanced List you will be able to:

  • Display data in tabular format
  • Format columns to use images, gauges and digital panels
  • Sort and filter the data directly on the list thanks to a comprehensive end-user interface
  • Navigate through large sets of data with a built in paging toolbar
  • Edit source data right on the List


How to Add the Web Part
How to Add the Web Part

To get started, simply click Add Web Part and select Software FX DataParts: Advanced List


How to Open the Tool Pane
How to Open the Tool Pane

When the web part is displayed on your page, click Open the Tool Pane.

The DataParts Advanced List web part provides a comprehensive wizard that integrates with SharePoint’s tool pane and provides a wide array of customization options. The tool pane wizard is the only method to customize the web part.

The tool Pane is shown automatically when you add the web part to the page. Afterwards you can enter edit mode at any time by simply selecting Modify Shared Web Part from the web part menu on the top right corner of the header.


Overview
Overview

The Data Connection wizards in DataParts for SharePoint 2007 offer access to the most common types of data sources: SharePoint lists, SQL Databases or Business Data Catalogs. A simple yet detailed wizard guides you through every step of the way to ensure you successfully retrieve data from the chosen source.

To access this wizard, click on the Choose type of data to display in the main Tool Pane menu for this web part:

In the next screen you will need to select your data source:

  • Use a SharePoint List: to share a collection of information
  • Use a SQL Database: to obtain data from a SQL server
  • Use a BDC (Business Data Catalog): to find, view, and analyze the data that is stored in specialized business program


Using a SharePoint list
Using a SharePoint list

SharePoint List is a collection of information that you share with team members in your Web site based on SharePoint Services. Once the SharePoint list option has been selected in the Select Data Source screen, you will need to select a List name and an associated view, if applicable.

The List selection screen will automatically populate the List name drop down with all the custom lists available to the current site. Select the list you wish to bind to your web part. Then, choose a view from the View name drop down box. This menu will be populated with all the views present for the selected list. If no custom views are present, simply select All Items.

On the filtering options, you are able to show all items in this view, or show items only when a column contains the parameter.

The Configure Parameters wizard assists you to take parameters from:

  • A parameter in the URL: uses one of the parameters coming in the calling URL. For example, if the page is invoked as http://vpcwin2k3moss/Pages/TestDP4.aspx?StartID=25&EndID=30 you can use the parameter StartID or EndID.
  • Another DataParts Component: this is one of the most useful scenarios, since it allows you to create drilldown scenarios, without the need to use child data in the grid.
  • A Web Part connection: many SharePoint Web Parts support something called Connection, which is the standard way to pass data between web parts in SharePoint. You can create a Forms Web Part with two input fields.

Once, the connection is selected, simply click on Accept. If there are no problems with the connection, the web part will be successfully populated.


Connecting to a SQL Database
Connecting to a SQL Database

A big advantage of DataParts is the possibility to visualize data external to the SharePoint Environment itself. With the SQL Database connection wizard you can obtain data from any accessible SQL server. Simply select the Use a SQL Database option from the Select Data Source wizard.

In this article

bookmark link Select your SQL Database

bookmark link Specify your SQL query

bookmark link Select Binary Fields

Select your SQL Database

This screen of the wizard will require you to specify the server connection information:

  1. Select the DB connection type in the Connect to box
  2. Choose the Server you wish to connect to from the available names in the Server name box. If the server you are looking for is not listed, you can type it manually
  3. Select your authentication method. Selecting Windows Authentication will use the Active Directory account of the user currently logged in on the system. If you select SQL Server Authentication, you will need to provide a User name and Password
  4. Provide the name of the Database
  5. Click on Test connection to verify that the information provided is correct. If you get an error message, please revise the information. Otherwise click Next

Top of Page

Specify your SQL query

In the next scren, you will be able to type the sql query you want to use to retrieve the data.

When you write the SQL statement, you can use specific parameters by using the "@" prefix in a variable. For example: if you want to select the invoices only from a range of dates, but you want such range to be dynamic, i.e. can change at runtime, you would write a SQL statement such as:

SELECT * FROM Invoices WHERE InvoiceDate >= @StartDate AND InvoiceDate <= @EndDate

Then, you will specify where to take the parameters from:

  • A parameter in the URL: uses one of the parameters coming in the calling URL. For example, if the page is invoked as http://vpcwin2k3moss/Pages/TestDP4.aspx?StartID=25&EndID=30 you can use the parameter StartID or EndID.
  • Another DataParts Component: this is one of the most useful scenarios, since it allows you to create drilldown scenarios, without the need to use child data in the grid. At the time, only Advanced List and Card View are supported as parameters source, but we expect to support selection on the chart in the short term.
  • A Web Part connection: many SharePoint Web Parts support something called Connection, which is the standard way to pass data between web parts in SharePoint. You can create a Forms Web Part with two input fields.

Once, the SQL statement is provided, simply click on Accept. If there are no problems executing the statement, the web part will be successfully populated.

Top of Page

Select Binary Fields

Binary images are stored in a binary format in the data source. Retrieving binary data is done in the same way as other type of data, and a binary field in a database can store not only images but other data type as well. That’s why when you bind a list to a data source and a binary field is detected; the wizard will ask you to confirm whether the data contained in it will be treated as an image in the list.

Top of Page


Connecting to a Business Data Catalog
Connecting to a Business Data Catalog

Business Data Catalogs are a very important part of every enterprise-level SharePoint deployment. A Business Data Catalog helps you to find, view, and analyze the data that is stored in specialized business program. To connect your web part to a Business Data Catalog, start by selecting the correct option in the Select Data Source wizard:

In the next screen you will need to define a BDC Instance and the Entity within that instance. Use the drop down lists provided to select from the available options:

Click on Accept to apply the changes and preview the data on your web part.


Overview
Overview

The Advanced List web part is viewed as a table containing various rows and columns where each column typically represents a field in a database. Data fields are organized in a columnar fashion allowing for data to be viewed from top to bottom while aligning the various data field of information within various vertical columns. The configure columns option of the wizard lets the user specify how each field provided by the Data source should be used in the final Web Part representation.


Configure Columns
Configure Columns
In this article

bookmark link Configure Fields

bookmark link Column/Item Settings

Configure Fields

Configure columns allows you to customize many different visual and formatting properties of a given column in the Advanced List. After entering this mode, you will need to select which field to configure. There are multiple field types:

  • Boolean: used for Boolean data (True or false/ Yes or No)
  • DateTime: used for Date and/or Time fields.
  • Image: used for binding to binary image fields in the data source or images as Url.
  • Number: used to bind numeric values like integers, decimals, doubles, etc.
  • Text: used for string, text o memo fields.

Top of Page

Column/Item Settings

With the field selected, the Column and Item Settings screen will let you modify the title for the column field and the formatting of the data.

  1. Title: type a text to be displayed as the column title
  2. Alignment: set the position of the title/item
  3. Font: choose the font of the title
  4. Size: select the size of the title
  5. Color: select a default color or use a custom color
  6. Width: fixed or adjust it automatically
  7. Display as: you can choose to show the value as a number, graphical gauge or an image. If the selected field is part of an image URL, you will also be able to configure it accordingly.
  8. Value Formatting: choose the format and how many decimals to be shown
  9. Item Alignment: set the position of the field
  10. Text Settings: select font, size and color of the text

Top of Page


Reorder Columns
Reorder Columns

Reorder columns lets the user rearrange the order of the columns. Using the Move Left and Move Right buttons, you can restructure the columns of your list. A real-time design preview is seen while you reorganize the layout.

For example, moving a column from last to first position would look something like this:


Remove Columns
Remove Columns

By choosing the Remove Columns option you will be able to remove undesired data fields from the Advanced List web part.

You can choose multiple columns at a time. Remember to click on Remove make the change effective and preview it on the web part itself instantaneously. Any fields you remove here, it can be re-added later by using the Add Columns option.

Click on Accept to go back to the Configure Columns screen, and then please click OK or Apply in order to commit the changes.


Overview
Overview

The Add Child Data feature permits an addition of a second data source to display data inside your Advanced List Web Part.

The Data Connection wizards in DataParts for SharePoint 2007 offer access to the most common types of data sources: SharePoint lists, SQL Databases or Business Data Catalogs. A simple yet detailed wizard guides you through every step of the way to ensure you successfully retrieve data from the chosen source.

Once Use a Separate Data Source is selected, in the next screen you will need to select your data source:

  • Use a SharePoint List: to share a collection of information
  • Use a SQL Database: to obtain data from a SQL server
  • Use a BDC (Business Data Catalog): to find, view, and analyze the data that is stored in specialized business program


Using a SharePoint list
Using a SharePoint list

SharePoint List is a collection of information that you share with team members in your Web site based on SharePoint Services. Once the SharePoint list option has been selected in the Select Data Source screen, you will need to select a List name and an associated view, if applicable.

The List selection screen will automatically populate the List name drop down with all the custom lists available to the current site. Select the list you wish to bind to your web part. Then, choose a view from the View name drop down box. This menu will be populated with all the views present for the selected list. If no custom views are present, simply select All Items.

Click on Accept to apply the changes and preview the data on your web part.


Connecting to a SQL Database
Connecting to a SQL Database

A big advantage of DataParts is the possibility to visualize data external to the SharePoint Environment itself. With the SQL Database connection wizard you can obtain data from any accessible SQL server. Simply select the Use a SQL Database option from the Select Data Source wizard.

In this article

bookmark link Select your SQL Database

bookmark link Specify your SQL Query

bookmark link Select Binary Fields

Select your SQL Database

This screen of the wizard will require you to specify the server connection information:

  1. Select the DB connection type in the Connect to box
  2. Choose the Server you wish to connect to from the available names in the Server name box. If the server you are looking for is not listed, you can type it manually
  3. Select your authentication method. Selecting Windows Authentication will use the Active Directory account of the user currently logged in on the system. If you select SQL Server Authentication, you will need to provide a User name and Password
  4. Provide the name of the Database
  5. Click on Test connection to verify that the information provided is correct. If you get an error message, please revise the information. Otherwise click Next

Top of Page

Specify your SQL Query

In the next scren, you will be able to type the sql query you want to use to retrieve the data.

When you write the SQL statement, you can use specific parameters by using the "@" prefix in a variable. For example: if you want to select the invoices only from a range of dates, but you want such range to be dynamic, i.e. can change at runtime, you would write a SQL statement such as:

SELECT * FROM Invoices WHERE InvoiceDate >= @StartDate AND InvoiceDate <= @EndDate

Then, you will specify where to take the parameters from:

  • A parameter in the URL: uses one of the parameters coming in the calling URL. For example, if the page is invoked as http://vpcwin2k3moss/Pages/TestDP4.aspx?StartID=25&EndID=30 you can use the parameter StartID or EndID.
  • Another DataParts Component: this is one of the most useful scenarios, since it allows you to create drilldown scenarios, without the need to use child data in the grid. At the time, only Advanced List and Card View are supported as parameters source, but we expect to support selection on the chart in the short term.
  • A Web Part connection: many SharePoint Web Parts support something called Connection, which is the standard way to pass data between web parts in SharePoint. You can create a Forms Web Part with two input fields.

Once, the SQL statement is provided, simply click on Accept. If there are no problems executing the statement, the web part will be successfully populated.

Top of Page

Select Binary Fields

Binary images are stored in a binary format in the data source. Retrieving binary data is done in the same way as other type of data, and a binary field in a database can store not only images but other data type as well. That’s why when you bind a list to a data source and a binary field is detected; the wizard will ask you to confirm whether the data contained in it will be treated as an image in the list.

Top of Page


Overview
Overview

The Add Child Data feature permits an addition of a second data source to display data inside your Advanced List Web Part.

Once the Individual Data Field is selected, you are able to select how and where to display your child data. You can choose to display the data directly inside the grid as an expandable area or to use any of the available Sidebars: top, left, right, or bottom.


Expandable Area
Expandable Area

The Expandable area approach allows users to move from a summary or general category to a detail by focusing on data contained within the inner fields. User can simply hide or show the details interact by clicking on the collapse/expand button next to every record.


Sidebar
Sidebar

Sidebar provides you with an instant visualization of objects that are non-necessarily related or connected to the list but showing important and descriptive information.

Sidebars are versatile containers to put objects like Charts, Gauges, and other information. They take up more space than expandable areas but allow the user to have both child and main data always visible.

Data on the Sidebar changes automatically every time the user selects a new record for the main list. It can be positioned anywhere surrounding a list: At Left, Right, Bottom or Top of the list. User can simply hide or show the details interact by clicking on the collapse/expand button.


Overview
Overview

A title can be added to better contextualize the presented content. The title consists of a title, subtitle, and optional image. You will be able to configure all settings through the Advanced List wizard.


Customize the Title
Customize the Title

The Advanced List lets you configure a title for improved visual effect.

  1. Select if you like to use the title. If yes, type the title, subtitle and select the alignment of the title
  2. Select if you like to display an image with the title. If yes, choose the image location.


Select Title Image
Select Title Image

DataParts provides a great variety of pre-designed title images to choose from. This wizard lets you select a pre-defined image or browse your own custom title image.

In this article

bookmark link Use a Standard Icon

bookmark link Use a Custom Image

Use a Standard Icon

There is a large selection of pre-design icon to decide for your title image. Once the option is selected, please click Accept to save your selection.

Top of Page

Use a Custom Image

In case you don’t find an icon that adjusts to your title image content or style, you can use your own customized picture to put in the title. Simple browse your document libraries and select your custom image.

Advanced Browsing can be used to view the actual images when selecting.

Please click OK or Apply in order to commit changes to your DataPart.

Top of Page


Overview
Overview

The Advanced List Web Part is loaded with a collection of recognized successful motifs that you can use in your web site, making a visual impact to capture your visitor’s attention. These distinctive motifs not only cause a good first impression, they make easy to read data in a list.

The Advance List Web Part Motif comes with a preferred Color Scheme, used to create a theme, but it can be perfectly mixed or blended with different palettes to create good-looking personalized grids.

Essentially, Color Schemes are a group of colors that apply to the different elements in the list. When a color scheme is changed, all the elements that have not been forced to have a specific color will adapt to the new color scheme.

The Configure Look and feel wizard lets you configure the overall look and feel of your web part by giving you access to motifs, color schemes and borders.


Select the Motif
Select the Motif

A motif is a set of predefined styling parameters that allow you to apply a well-known visual paradigm to the web part you are configuring. For example, by using this wizard, you can make your web parts resemble the look of the Hotmail or Windows XP user interfaces. By default, DataParts assumes motifs that blend perfectly with the look of SharePoint 2007.


Select the Color Scheme
Select the Color Scheme

By default, DataParts adjusts the color scheme of all its web parts to match the active SharePoint theme. Even if the DataParts component is already present on the page when the SharePoint theme is changed, the web part will still change its color scheme automatically without any user interaction.

If you wish to configure a specific color scheme for your Web Part, you have the option to choose from a list of pre-designed color schemes as well.


Select the Border Type
Select the Border Type

DataParts also offers many different Border types to help you fine tune the personality of your web part.

You can decide for a simple linear border or a predefined artistic border that will let you choose from a gallery with over 20 different options.

In this article

bookmark link Linear Border

bookmark link Artistic Border

Linear Border

There are 4 different types of border to select: None, Double Line, Dashed Line, and Solid Line. Border Size and color can be adjusted as well.

Top of Page

Artistic Border

A pre-designed gallery is available to quickly customize your border style. The border color is adjustable as preferred.

Top of Page


Overview
Overview

The list-presentation web parts included with DataParts provide a very useful toolbar that allow end users to better read and navigate through the data. The Toolbar is a useful tool to help end users to access some of the Advanced List Web Part features in an easy way.

When a large number of records are passed to the list, DataParts automatically divides them into pages to improve readability on to prevent excessive load to the SharePoint page. The Pager provided in the toolbar is used to move through those pages.

The Customize Pager and Toolbar wizard provides options related to both the toolbar and pagination.


Enable Toolbar
Enable Toolbar

The Toolbar is a horizontal bar at the top of the list.

The toolbar’s buttons allows end users to perform actions like:

  • Show Hidden Content
  • Refresh Items
  • Remove All Filters
  • Copy Item/All Items
  • Print Item/All Items

The Toolbar contains those command buttons that can be visible or not by simple changing a property in the wizard.


Enable Pagination
Enable Pagination

It’s a frequent practice to show sub-sets of data on each page when the list is working with large set of data. The pager can be arranged at the top, bottom, or even in both places at the same time of the list, so it can be reachable by users in large lists with no need for scrolling.

The Dataparts automatically calculates and displays items on a page. The pager visibility can be changed by simply choosing the preferred option, and number of items to show in a page can be specified in the Page Size textbox.


Overview
Overview

In the Advanced List and Card View web parts, the end user can insert, update, delete, or customize data directly in-place if allowed. As the Web Part creator, you can use the Editing Options wizard to configure whether end users will be able to modify data at all and how.

In the Editing Options screen, choose whether you want your users to be able to Insert, Update, Delete, and/or customize data. By default none of these options are enabled.


Configure Insert
Configure Insert

By default, data insertion is not enabled. Once you enabled data insertion, two options for SQL statement are enabled:

  • Use an auto-generated SQL statement
  • Use my own SQL statement

In this article

bookmark link Use an Auto-generated SQL Statement

bookmark link Use my own custom SQL Statement

Use an Auto-generated SQL Statement

When this is option is selected, SQL Statement will be generated automatically for data insertion in the Advanced List Web Part.

Top of Page

Use my own custom SQL Statement

When Use my own custom SQL statement is selected, you can type your SQL statement in the box below. Click Validate to check you statement.

You have the option to use parameters in your SQL Statement:

@[COLUMN_NAME]

Reference to the value provided through the edition dialog. i.e. @ID holds the new value inserted by the user

Possible usage:

Insert into [TABLE](COLUMN-NAME-1, COLUMN-NAME-2) values (@COLUMN-NAME-1, @COLUMN-NAME-2)

Click on Accept once you are done to return to the tool pane menu.

Top of Page


Configure Update
Configure Update

By default, data update is not enabled. Once you enabled data update, there are two options for the SQL statement.

  • Use an auto-generated SQL statement
  • Use my own SQL statement

In this article

bookmark link Use an Auto-generated SQL Statement

bookmark link Use my own custom SQL Statement

Use an Auto-generated SQL Statement

When this is option is selected, SQL Statement will be generated automatically for data update in the Advanced List Web Part.

Top of Page

Use my own custom SQL Statement

When Use my own custom SQL statement is selected, you can type your SQL statement in the box below. Click Validate to check you statement.

You have the option to use parameters in your SQL Statement:

@[COLUMN_NAME]

Reference to the value provided through the edition dialog. i.e. @ID holds the new value updated by the user

@Original_[COLUMN_NAME]

Reference to the original contained by the record. i.e. @Original_ID refers to the original ID in the column

Possible usage:

update [TABLE] set COLUMN-NAME-1 = @COLUMN-NAME-1, COLUMN-NAME-2 = @COLUMN-NAME-2 where PK-COLUMN-NAME = @Original_PK-COLUMN-NAME

Click on Accept once you are done to return to the tool pane menu.

Top of Page


Configure Delete
Configure Delete

By default, data deletion is not enabled. Once you enabled data deletion, there are two options for the SQL statement.

  • Use an auto-generated SQL statement
  • Use my own SQL statement

In this article

bookmark link Use an Auto-generated SQL Statement

bookmark link Use my own custom SQL Statement

Use an Auto-generated SQL Statement

When this is option is selected, SQL Statement will be generated automatically to delete data in the Advanced List Web Part.

Top of Page

Use my own custom SQL Statement

When Use my own custom SQL statement is selected, you can type your SQL statement in the box below. Click Validate to check you statement.

You have the option to use parameters in your SQL Statement:

@Original_[COLUMN_NAME]

Reference to the current selected value in the column. i.e. @Original_ID refers to the column value in the currend record

Possible usage:

Delete from [TABLE] where PK-COLUMN-NAME = @Original_PK-COLUMN-NAME

Click on Accept once you are done to return to the tool pane menu.

Top of Page


Customize Field Settings
Customize Field Settings

The Customize Field Settings wizard optimizes the behavior of each field once the web part’s edit mode is entered. In other words, this wizard provides additional styling options to help you define how a given field will look while being edited.

You need to select which field to customize. There are multiple field types:

  • Boolean: used for Boolean data (True or false/ Yes or No)
  • Image: used for binding to binary image fields in the data source or images as Url.
  • Number: used to bind numeric values like integers, decimals, doubles, etc.
  • Text: used for string, text o memo fields.

In this article

bookmark link Numeric Fields

bookmark link Text Fields

bookmark link Boolean Fields

Numeric Fields

When the type of field is a number, the wizard guides you through the settings configuration accordingly.

  1. Select if the field allows negative values: True or False

  2. Choose if the field requires negative values: Always, AlwaysExceptNull, AlwaysExceptNullOrMin, or Never.

  3. Type the Required Error Message

Click on Accept once you are done in order to return to the tool pane menu.

Top of Page

Text Fields

When the type of field is text, the wizard guides you through the settings configuration accordingly.

  1. Treat Empty Textbox as Null: True or False

  2. The textbox allows HTML: Always, Never, or If the data already has HTML text

  3. Select if HTML text is required: Always, AlwaysExceptNull, AlwaysExceptNullOrMin, or Never.

  4. Type the Required Error Message

  5. Choose the textbox’s background color: Use default color or custom color
  6. Set the number of columns
  7. Set the number of rows
  8. Choose the Horizontal Alignment: Center, Left, Right, Justify, or Not Set
  9. Select the Text Mode: Single Line, Multi Line, or Password
  10. Wrap the text: True, or False

  11. Set the font style configuration: Font, Size, and Color

Click on Accept once you are done to return to the tool pane menu.

Top of Page

Boolean Fields

When the type of field is a boolean, the wizard guides you through a setting configuration.

  • Set the Null Option: Never, Never and False Overwrites Null Data, Always, or Only for Null Data

Click on Accept once you are done in order to return to the tool pane menu.

Top of Page


Overview
Overview

If you have previously added an Expandable Area in the Advanced List Web Part, the Configure Expandable Area option is enabled in the main menu option.

The Expandable Area allows users to move from a summary or general category to a detail by focusing on data contained within the inner fields. User can simply hide or show the details interact by clicking on the collapse/expand button next to every record.


Remove the Expandable Area
Remove the Expandable Area

You are able to remove the Expandable Area by clicking the corresponding link: Remove the expandable area.


Configure the Expandable Area
Configure the Expandable Area

You are able to configure the card layout from the expandable area by clicking the corresponding link: Configure Card Layout.

In this article

bookmark link Field Selection

bookmark link Card Layout Settings

Field Selection

In the Field Selection screen, you need to check the field that will be displayed on your card. There are multiple field types:

  • Boolean: used for Boolean data (True or false/ Yes or No)
  • DateTime: used for Date and/or Time fields.
  • Image: used for binding to binary image fields in the data source or images as Url.
  • Number: used to bind numeric values like integers, decimals, doubles, etc.
  • Text: used for string, text o memo fields.

Top of Page

Card Layout Settings

Please follow next steps to configure your card layout settings:

  1. Select the number of layout columns you wish to distribute the fields across
  2. Choose the number of padding pixels. The padding is the space between an element’s border and the content within it.
  3. Field Title: Choose if you want to display field titles, and placement
  4. Select if you want to show dividers between columns

Click on Accept once you are done in order to return to the tool pane menu.

Top of Page


Overview
Overview

If you have previously added a Sidebar in the Advanced List Web Part, the Configure Sidebars option is enabled in the main menu option.

Sidebar provides you with an instant visualization of objects that are non-necessarily related or connected to the list but showing important and descriptive information.

Sidebars are versatile containers to put objects like Charts, Gauges, and other information. They take up more space than expandable areas but allow the user to have both child and main data always visible.

Data on the Sidebar changes automatically every time the user selects a new record for the main list. It can be positioned anywhere surrounding a list: At Left, Right, Bottom or Top of the list. User can simply hide or show the details interact by clicking on the collapse/expand button.


Remove Sidebar
Remove Sidebar

You are able to remove the Sidebar by clicking the corresponding link: Delete.


Configure Sidebars
Configure Sidebars
In this article

bookmark link Sidebar Title

bookmark link Sidebar Position

bookmark link Sidebar Contents

bookmark link Sidebar Initial State

bookmark link Contents Alignment

Sidebar Title

To configure the sidebar title, simply select to show the sidebar title, type the title, and choose the title alignment.

Top of Page

Sidebar Position

Simply select the position where the sidebar will be located: Right, Left, Up, or Down.

Top of Page

Sidebar Contents

Simply choose yes or no to make the sidebar collapsible.

Top of Page

Sidebar Initial State

Select the Sidebar initial state: Collapsed or Expanded.

Top of Page

Contents Alignment

Choose how the contents be aligned: Not Set, Left, Center, Right, and Justify.

Click on Accept once you are done to return to the tool pane menu.

Top of Page


Configure Parameters
Configure Parameters

If you have previously added a parameter in you SQL statement or in your SharePoint List, the Configure Parameters option is enabled in the main menu option.

Using Parameters options are available when you write the SQL statement using specific parameters by using the "@"prefix character in a variable. This named parameter has a specific name that the database uses to match the parameter value to its placeholder location in the statement text.

For example: if you want to select the invoices only from a range of dates, but you want such range to be dynamic, i.e. can change at runtime, you would write a SQL statement such as:

SELECT * FROM Invoices WHERE InvoiceDate >= @StartDate AND InvoiceDate <= @EndDate

If the parameter comes from a SharePoint List, the parameter has to be previously defined in the respective parameter field.

Then, you will specify where to take the parameters from:

  • A parameter in the URL: uses one of the parameters coming in the calling URL. For example, if the page is invoked as http://vpcwin2k3moss/Pages/TestDP4.aspx?StartID=25&EndID=30 you can use the parameter StartID or EndID.
  • Another DataParts Component: this is one of the most useful scenarios, since it allows you to create drilldown scenarios, without the need to use child data in the grid. At the time, only Advanced List and Card View are supported as parameters source, but we expect to support selection on the chart in the short term.
  • A Web Part connection: many SharePoint Web Parts support something called Connection, which is the standard way to pass data between web parts in SharePoint. You can create a Forms Web Part with two input fields.

Once, the parameter binding source is selected, please choose the web part you would like to connect, and input a default value for the parameter.

Finally, simply click on Accept. If there are no problems executing the statement, the web part will be successfully populated.


Overview
Overview

The DataParts Card View web provides an attractive alternative to the standard tabular presentation format of SharePoint Lists. The Card View provides the user with several different layout formats, providing extensive flexibility on how the data fields are shown. This web part is ideal for displaying data containing thumbnails or small images.

With the Card View web part you will be able to:

  • Present all fields for a particular item together for better contextual understanding of the content.
  • Arrange the way the fields are shown for each record.
  • Format columns to use images, gauges and digital panels
  • Sort and filter the data directly on the list thanks to a comprehensive end-user interface
  • Navigate through large sets of data with a built in paging toolbar
  • Edit source data right on the List
  • Perform an easy real-time preview


How to Add the Web Part
How to Add the Web Part


How to Open the Tool Pane
How to Open the Tool Pane

When the web part is displayed on your page, click Open the Tool Pane.

The DataParts Card view web part provides a comprehensive wizard that integrates with SharePoint’s tool pane and provides a wide array of customization options. The tool pane wizard is the only method to customize the web part.

The tool Pane is shown automatically when you add the web part to the page. Afterwards you can enter edit mode at any time by simply selecting Modify Shared Web Part from the web part menu on the top right corner of the header.


Overview
Overview

The Card View Web Part layouts have an easy way to template, present, and provide data with more complex views than the standard columnar layout. Therefore, one of the main advantages of the Card view web part is the capability of modifying the layout of the fields within the web part. The Customize Card Layout wizard provides the tools to tailor the distribution of the data fields across the web part. Items appear as individual forms, card lists, or tiled cards.

Once Customize Card Layout is selected, in the next screen there are 3 types of Card Layout:

  • The Form layout displays one data record at a time. Records appear as individual cards similar to a presentation card, and there is only one record per page. Normally, it is used to show items with many data fields.

  • The Card List layout supports multiple cards at a time but they are displayed in one column being arranged top-down.

  • The Tiled Cards layout provides more flexibility than the card layout. It not only tiles the cards across the vertical space but also horizontally. You will be able to specify the number of cards per row and the directions in which they are arranged.


Field Selection
Field Selection

In the Field Selection step, you need to select the field that will be displayed on your card by simply check the respective box. There are multiple field types:

  • Boolean: used for Boolean data (True or false/ Yes or No)
  • DateTime: used for Date and/or Time fields.
  • Image: used for binding to binary image fields in the data source or images as Url.
  • Number: used to bind numeric values like integers, decimals, doubles, etc.
  • Text: used for string, text o memo fields.


Card Layout Configuration
Card Layout Configuration

The Card View Configuration wizard was carefully designed to assist you on quickly configures different card layouts. There are four different styles to select:

  • Simple Card Layout: if you want to configure your card in simple mode
  • Card with Main Image: if your card contains a main image
  • Card with Title: if you want a title in your card
  • Card with Title and Main Image: if the card contains a main image and a title

In this article

bookmark link Simple Card Layout

bookmark link Card with Main Image

bookmark link Card with Title

bookmark link Card with Title and Main Image

Simple Card Layout

Please follow next steps to configure your card layout settings:

  1. Select the number of layout columns you wish to distribute the fields across
  2. Choose the number of padding pixels. The padding is the space between an element’s border and the content within it.
  3. Field Title: Choose if you want to display field titles, and placement
  4. Select if you want to show dividers between columns

Top of Page

Card with Main Image

Please follow next steps to configure your card layout settings:

  1. Select the number of layout columns you wish to distribute the fields across
  2. Choose the number of padding pixels. The padding is the space between an element’s border and the content within it.
  3. Field Title: Choose if you want to display field titles, and placement
  4. Select if you want to show dividers between columns
  5. Image Settings: select the location and alignment

Top of Page

Card with Title

Please follow next steps to configure your card layout settings:

  1. Select the number of layout columns you wish to distribute the fields across
  2. Choose the number of padding pixels. The padding is the space between an element’s border and the content within it.
  3. Field Title: Choose if you want to display field titles, and placement
  4. Select if you want to show dividers between columns
  5. Title Settings: type the text, select type, location and alignment

Top of Page

Card with Title and Main Image

Please follow next steps to configure your card layout settings:

  1. Select the number of layout columns you wish to distribute the fields across
  2. Choose the number of padding pixels. The padding is the space between an element’s border and the content within it.
  3. Field Title: Choose if you want to display field titles, and placement
  4. Select if you want to show dividers between columns
  5. Title Settings: type the text, select type, location and alignment
  6. Image Settings: select the location and alignment

Top of Page


Field Selection
Field Selection

In the Field Selection step, you need to check the fields that will be displayed on your card. There are multiple field types:

  • Boolean: used for Boolean data (True or false/ Yes or No)
  • DateTime: used for Date and/or Time fields.
  • Image: used for binding to binary image fields in the data source or images as Url.
  • Number: used to bind numeric values like integers, decimals, doubles, etc.
  • Text: used for string, text o memo fields.


Adjust Tile Settings
Adjust Tile Settings

With the Adjust Tile Settings, you are able to:

  • Select the direction of the tiled cards: horizontally or vertically
  • Adjust the number of cards per row
  • Display separators between the cards


Field Selection
Field Selection

The Configure Fields wizard provides additional formatting options for fields displayed in the Card View. You need to select which field to configure. There are multiple field types:

  • Boolean: used for Boolean data (True or false/ Yes or No)
  • DateTime: used for Date and/or Time fields.
  • Image: used for binding to binary image fields in the data source or images as Url.
  • Number: used to bind numeric values like integers, decimals, doubles, etc.
  • Text: used for string, text o memo fields.


Numeric Fields
Numeric Fields

Once you have selected the numeric field you wish to modify, you will be able to choose to display the field. The information can be displayed as a number, graphical gauge, or an image.

In this article

bookmark link Display as a Number

bookmark link Display as Graphical Gauge

bookmark link Display as an Image

Display as a Number

Display as a Number, you are able to specify the way format and decimals are treated.

Top of Page

Display as Graphical Gauge

Display as Graphical Gauge, the wizard guides you through the settings configuration accordingly.

  1. Select the Gauge style: Horizontal, Vertical, Radial Gauge, or Digital Panel

  2. Set the Gauge’s Width and Height

  3. Select if you want to show the numerical value along with the gauge

Top of Page

Display as an Image

Display as an Image, the wizard guides you through the settings configuration accordingly.

  1. Image Field Configuration: Select if the field contains the whole image URL or portion of the URL

  2. Image URL Configuration:
  3. Type the URL prefix
  4. Select the suffix (.jpg, .png, .gif, or other).
  5. If you select Other as the suffix, please type the Custom Suffix

  1. Select if you want to display the picture as Thumbnail, or Full Size

  2. If the image is displaying as an image thumbnail, please set the dimensions and border

  3. If the image is displaying in Full Size, please set the dimensions: Width and Height

Click on Accept once you are done in order to return to the tool pane menu.

Note:Warning: For best performance, do not apply image effects on remote images accessed via http protocol.

Top of Page


Text Fields
Text Fields

Once you have selected the text field you wish to modify, you will be able to choose to display the field. The information can be displayed as a regular text, digital panel or an image.

In this article

bookmark link Display as Regular Text

bookmark link Display as a Digital Panel

bookmark link Display as an Image

Display as Regular Text

Display as Regular Text, you are able to specify the way format is treated: As it, Upper Case, lower Case or Title Case

Alignment can be set as Left, Center, Right, Justify, or Not Set

Click on Accept once you are done in order to return to the tool pane menu.

Top of Page

Display as a Digital Panel

Display as Graphical Gauge, the wizard guides you through the settings configuration accordingly.

  1. Select the format of the text: As it, Upper Case, lower Case or Title Case

  2. Set the text alignment: Left, Center, Right, Justify, or Not Set

  3. Set the Digital Panel dimensions: Width and Height

Click on Accept once you are done in order to return to the tool pane menu.

Top of Page

Display as an Image

Display as an Image, the wizard guides you through the settings configuration accordingly.

  1. Select the format of the text: As it, Upper Case, lower Case or Title Case

  2. Set the text alignment: Left, Center, Right, Justify, or Not Set

  3. Image Field Configuration: Select if the field contains the whole image URL or portion of the URL

  4. Image URL Configuration:
  5. Type the URL prefix
  6. Select the suffix (.jpg, .png, .gif, or other).
  7. If you select Other as the suffix, please type the Custom Suffix

  1. Select if you want to display the picture as Thumbnail, or Full Size

  2. If the image is displaying as an image thumbnail, please set the dimensions and border

  3. If the image is displaying in Full Size, please set the dimensions: Width and Height

Click on Accept once you are done in order to return to the tool pane menu.

Note:Warning: For best performance, do not apply image effects on remote images accessed via http protocol.

Top of Page


Boolean Fields
Boolean Fields

Once you have selected the boolean field you wish to modify, you will be able to choose to display the field. The information can be displayed as a text, checkbox or an icon.

In this article

bookmark link Display as Text

bookmark link Display as a Checkbox

bookmark link Display as an Icon

Display as Text

Display as Text, the wizard guides you through the settings configuration accordingly.

  1. Specify how the text should be formatted: Yes/No, True/False, T/F, Y/N, or Custom

A. When Custom option is selected, type the custom text when the value is True, False and Null.

  • Set the text font: Font, Size and Color.

    • Click on Accept once you are done in order to return to the tool pane menu.

    Top of Page

    Display as a Checkbox

    When Display as a Checkbox is selected, the information will display in the field as a Checkbox. No further configuration is required for this option.

    Click on Accept once you are done in order to return to the tool pane menu.

    Top of Page

    Display as an Icon

    When Display as an Icon is selected, the information will display in the field as an Icon. There are several pre-designed icons to select from accordingly to your preference.

    In case you don’t find an icon that adjusts to your boolean field, you can choose the Custom option to use your own customized icon to put in the boolean field. Simply click on Browse.

    Select your custom icon by browsing through your document libraries. Advanced Browsing can be used to view the actual images when selecting.

    Click on Accept once you are done in order to return to the tool pane menu.

    Top of Page


Overview
Overview

A title can be added to better contextualize the presented content. The title consists of a title, subtitle, and optional image. You will be able to configure all settings through the Card View wizard.


Customize the Title
Customize the Title

The Card View Web Part lets you configure a title for improved visual effect.

  1. Select if you like to use the title. If yes, type the title, subtitle and select the alignment of the title
  2. Select if you like to display an image with the title. If yes, choose the image location


Select Title Image
Select Title Image

DataParts provides a great variety of pre-designed title images to choose from. This wizard lets you select a pre-defined image or browse your own custom title image.

In this article

bookmark link Use a Standard Icon

bookmark link Use a Custom Image

Use a Standard Icon

There is a large selection of pre-design icon to decide for your title image. Once the option is selected, please click Accept to save your selection.

Top of Page

Use a Custom Image

In case you don’t find an icon that adjusts to your title image content or style, you can use your own customized picture to put in the title. Simply browse your document libraries and select your custom image.

Advanced Browsing can be used to view the actual images when selecting.

Please click OK or Apply in order to commit changes to your DataPart.

Top of Page


Overview
Overview

Charts are an extremely effective way to communicate organizational, and enterprise information. A chart makes it easier for people to understand large amounts of data as a visual image rather than as a table of names and numbers. DataParts makes it possible for any SharePoint user to create a completely customized and professional chart with very little effort.

With the Chart Web Part you will be able to:

  • Present your data visually for faster analysis and understanding
  • Choose from over 25 different types of Charts
  • Thoroughly configure axes, scales, etc.
  • Customize the look of the chart and each of the series.
  • Interact with the chart at run time to zoom, scroll or modify visual attributes outside edit mode.


How to Add the Web Part
How to Add the Web Part

To get started, just click Add Web Part, and select Software FX DataParts: Chart


How to Open the Tool Pane
How to Open the Tool Pane

Once the web part is displayed on your page, click Open the tool pane to open the wizard.

Now, you are able to begin designing your distinctive chart web parts with the help of the comprehensive wizard.

You can re-enter edit mode and the wizard at any time by simply selecting Modify Shared Web Part from the web part menu on the top right corner of the header.


Overview
Overview

The gallery wizard in the Chart Web Part allows you to choose the type of chart that best fits your data visualization needs. There is a variety of chart gallery types:

  • Lines and Curves: to show trends
  • Bars: for comparative analysis
  • Horizontal bars: to show comparisons
  • Cylinders: for comparing classes and groups of data
  • Cones: to illustrate comparisons
  • Area: to emphasize the magnitude of change over time
  • Bubble: to represent conditions
  • Pie-Doughnut: to show groups of data in proportion to the whole data set
  • Pyramid: to show hierarchical lists
  • Scatter: to investigate the possible relationship between two variables related to the same event
  • Financial: to represent the relationship between open and close, high and low
  • Surface-Contour: to compare two groups of data combinations
  • Radar and Polar: to look several different factors all related to one item
  • Combination: to give emphasis to a portion of data based on its importance

Chart galleries come with 2D/3D appearance. Sometimes charts are harder to read and analyze but present a nicer look for presentation purposes. Simply choose 2D or 3D dimension option.


Lines and Curves
Lines and Curves

Commonly, line and curve charts show trends in data at equal intervals and are effective for comparing highs and lows in a continuum space. One advantage of line charts over bar charts is that they do not allow one set of data to block the representation of another. Lines and Curves charts come with 2D/3D appearance. Common uses of line and curve charts are:

  • Displaying long data rows
  • Interpolating between data points
  • Extrapolating beyond known data values (forecast)
  • Comparing different graphs
  • Finding and comparing trends (changes over time)
  • Recognizing correlations and co-variations between variables
  • Displaying interactions over two levels on the X axis

Once the chart type is selected, click on Accept to return to the main menu.


Bars
Bars

Bar charts are the most common type of business chart and are especially useful for comparative analysis. You can use a bar chart to illustrate comparisons among individual items. Bar charts are also useful for comparing classes or groups of data. In bar charts, a class or group can have a single category (single series) of data, or they can be broken down further into multiple categories (multiple series) for greater depth of analysis. Another way to represent bar charts is through stacking. In this way, a single bar on the chart can show data for more than one category of data. Stacked bar charts show the relationship of parts to the whole. Stacking techniques differ depending on whether you are representing divisions within data label categories or stacking two separate numeric categories.

Once the chart type is selected, click on Accept to return to the main menu.


Horizontal Bars
Horizontal Bars

Horizontal bars charts are useful for comparative analysis. You can use a horizontal bar chart to create side-by-side, Gantt, Stacked charts to compare among individual items. Horizontal bar charts are handy for comparing classes or groups of data. To create stacked bar chart, you need more than one series. Each series contains the additive value rendered as an additional segment along the length of the bar.

Once the chart type is selected, click on Accept to return to the main menu.


Cylinders
Cylinders

Cylinder chart is a type of bar chart. These charts are the most frequently used charts for comparative analyses. You can use a cylinder chart to illustrate comparisons among individual items. Cylinders charts are useful for comparing classes or group of data. A class or group can have a single category (single series) of data, or they can be broken down further into multiple categories (multiple series) for greater depth of analysis.

Choose between Vertical and Horizontal cylinders in both 2D and 3D versions.

Once the chart type is selected, click on Accept to return to the main menu.


Cones
Cones

Cones charts are a variation of the bar charts. These charts are used for comparative analyses as well as to illustrate comparisons among individual items. Cones charts are useful for comparing classes or group of data. A class or group can have a single category (single series) of data, or they can be broken down further into multiple categories (multiple series) for greater depth of analysis. Cones charts come with 2D/3D look.

Once the chart type is selected, click on Accept to return to the main menu.


Area
Area

Area Charts are essentially bar charts with discontinuous breaks removed along the horizontal axis. Data is not broken into discrete bars, but it appears in a continuous ebb and flow as defined against the Y axis. Therefore, area charts are particularly useful for emphasizing the magnitude of change over time. Area charts can be used for the same purposes as bar charts. Area charts come with 2D/3D appearance.

Once the chart type is selected, click on Accept to return to the main menu.


Bubble
Bubble

Bubble charts are charts that display circles of different sizes representing a condition. Bubble charts are frequently used in marketplace and product comparison studies. In a way, bubble charts are quite similar to scatter charts in which each bubble position is defined by two coordinates. Moreover, the size of the circle at each point reflects an additional dimension of the chart. Because of this, Bubble charts allow three-variable comparisons allowing for easy visualization of complex interdependencies that are not apparent in two-variable charts. Bubble charts come with 2D/3D appearance.

Once the chart type is selected, click on Accept to return to the main menu.


Pie-Doughnut
Pie-Doughnut

Pie-Doughnut charts are used to show classes or groups of data in proportion to the whole data set. The entire pie represents all the data, while each slice represents a different class or group within the whole. Pie-Doughnut charts come with 2D/3D appearance. These chart types are used for:

  • Conveying approximate proportional relationships (relative amounts) at a point in time
  • Comparing parts of a whole at a given point in time
  • Exploded: emphasizing a small proportion of parts (exploding pie)

Once the chart type is selected, click on Accept to return to the main menu.


Pyramid
Pyramid

Pyramid charts are used to show hierarchical lists. You can use them to show business goals or customer requirements. Like a pie chart, a pyramid chart does not display an X axis. Pyramid charts come with 2D/3D appearance.

Important note: Since the most important item is usually placed at the top of the pyramid, it is important to mention that the first item in the data array will be displayed at the top of the pyramid. You must make sure you order your data array.

Once the chart type is selected, click on Accept to return to the main menu.


Scatter
Scatter

Scatter Plots, also called scatter diagrams or XY charts, are used to investigate the possible relationship between two variables that both relate to the same "event". Each point in a XY Plot is defined by two coordinates (X, Y).

Once the chart type is selected, click on Accept to return to the main menu.


Financial
Financial

Compared to traditional bar charts, many traders consider hi-lo-close and candlestick charts more visually appealing and easier to interpret. Financial charts provide an easy-to-decipher picture of price action. Immediately a trader can see and compare the relationship between the open and close as well as the high and low. The relationship between the open and close is considered vital information and forms the essence of these charts.

With Financial Chart DataPart, you can create Hi-Lo-Close, Open-Hi-Lo-Close and candlestick charts. Passing data to these charts is essentially the same process as passing data to any chart type. You must, however, make sure the series are passed in a certain order so Chart FX can determine which data series represents the Open, Hi, Lo and Close values.

Once the chart type is selected, click on Accept to return to the main menu.


Surface-Contour
Surface-Contour

A surface plot is a 3D chart displaying data plotted over a surface area. A contour chart is normally a 2D representation of a surface chart. Surface and contour charts are suitable for comparing two groups of data combinations.

Once the chart type is selected, click on Accept to return to the main menu.


Radar and Polar
Radar and Polar

Radar charts are useful when you want to look at several different factors all related to one item. Radar charts have multiple axes along which data can be plotted. In a radar chart, a point close to the center on any axis indicates a low value. A point near the edge is a high value. When interpreting a radar chart, end users will check each axis as well as the overall shape.

Once the chart type is selected, click on Accept to return to the main menu.


Combination
Combination

Combination charts combine some of the strengths of all chart types available. For example, Solid bars can be used for the most important data against which other dimensions are represented in lines. In this way, emphasis is given to a portion of data based on its importance. A combination chart is especially useful for comparing two numeric values, such as amount and units of sales. Combination charts come with 2D/3D appearance.

Once the chart type is selected, click on Accept to return to the main menu.


Overview
Overview

The Adjust Data to Chart wizard guides you to process the data field, and it provides a powerful error detection mechanism that alerts you of any potential problems or conflicts between your query and how Chart Web Part will attempt to plot the data at run time. By default, the chart adjusts its data automatically. Nevertheless, in this section, you are able to select a specific chart layout.


Select Fields to Use
Select Fields to Use

Once the data source is selected, you can configure how fields in the data source should be treated by the chart. The first step of the wizard lets you choose which fields to use in the chart. There are multiple field types:

  • Number: used to bind numeric values like integers, decimals, doubles, etc.
  • Text: used for string, text o memo fields.
  • Boolean: used for Boolean data (True or false/ Yes or No)
  • DateTime: used for Date and/or Time fields.
  • Image: used for binding to binary image fields in the data source or images.


Select Data Layout
Select Data Layout

Then, depending on the number and type of the selected fields, several chart layouts can be created automatically. Simply select from the list the chart layout that best matches to your needs.


Configure Series Options
Configure Series Options

If there is no ambiguity with the selected fields, you can change the series name for each of the fields, and the order of each series within the chart.

Click on Accept once you are done in order to return to the tool pane menu.


Overview
Overview

The Chart Web Part is loaded with a collection of recognized successful motifs that you can use in your web site, making a visual impact to capture your visitor’s attention. These distinctive motifs not only cause a good first impression, they make easy to read data in a list.

The Chart Web Part Motif comes with a preferred Color Scheme, used to create a theme, but it can be perfectly mixed or blended with different palettes to create good-looking personalized grids.

The Configure Look and feel wizard lets you configure the overall look and feel of your web part by giving you access to motifs, color schemes and borders.


Select the Color Scheme
Select the Color Scheme

By default, DataParts adjusts the color scheme of all its web parts to match the active SharePoint theme. Even if the DataParts component is already present on the page when the SharePoint theme is changed, the web part will still change its color scheme automatically without any user interaction.

Essentially, Color Schemes are a group of colors that apply to the different elements in the list. When a color scheme is changed, all the elements that have not been forced to have a specific color will adapt to the new color scheme.

If you wish to configure a specific color scheme for your Web Part instead, you have the option to choose from a list of pre-designed color schemes as well.


Select the Border Type
Select the Border Type

The border is the outer edge of the chart. DataParts offers many different border types to help you fine tune the personality of your web part. The wizard will let you choose from a gallery of over a dozen different border options, as well as the border color.

Take advantage of the DataParts Wizard’s real time preview feature to see how each border style looks on your chart.


Configure Background
Configure Background

The Chart web part supports both solid color and gradient backgrounds. In this screen you will be able to choose which type of background to use. If a gradient background is selected, the wizard provides options to define the direction and colors of the gradient. Additionally, you can also choose to continue using the background defined by the palette being used by the chart.

Once you are done configuring look and feel, click on Accept to return to the main menu.


Overview
Overview

Axes are one of the most essential elements to help users understand, read and analyze data from the chart. In most instances, charts are drawn in an XY-coordinate system. The Value or Y axis displays a range of values represented by the numeric data, and the category or X axis displays how the data is broken down in the chart. The following image highlights the Value (Y) Axis, and the Category (X) Axis:

While charts consist typically of one X axis and one Y axis, the chart web part allows you to create additional axes; as a result you are able to work with two independent Y axes in order to display series with differing scale ranges on the same chart.

Sometimes, creating additional axes is not enough to highlight and properly separate data. The AxisPanes allows the user to display multiple sections of data in a single chart. This feature separates series allowing for improved analytical experience as each pane displays different scales and different chart types as required.

Please note that the Configure Axes and Panes wizard is only available for charts using axis-based charts. Choosing galleries like pie or pyramid, disable the Axes and Panes wizard in the main menu.


Axis X Configuration
Axis X Configuration

Since every chart will have one and only one X axis, the first step of the wizard takes you to the axis X configuration.

In this article

bookmark link Hide the X Axis

bookmark link Show the X Axis

Hide the X Axis

Once you have decided to hide the X axis, no further configuration is required. Please click on Next to continue configuring Axis Y.

Top of Page

Show the X Axis

Once the X axis is selected to show on the chart, the wizard guides you step by step through the title configuration, gridlines and formatting of the labels.

  1. Type the title of the Axis X
  2. Select the type of grid lines. Grid lines are very useful to improve the chart’s readability. You can choose from none, regular grid lines, or interlaced grid lines.
  3. No grid lines:

  • Regular grid lines:

  • Interlaced grid lines:

  1. Choose the grid line style: Solid, Dash, Dot, DashDot, DashDotDot

  2. Customize the axis X labels: font, size, color, and format

  3. Layout format: you can rotate the labels to 45, or 90 degrees, or staggered

  4. Choose if you want to compact the X axis data.

Many times, charts contains a large amount of data whereby visualizing such data has little or no value. For example, you may have the number of sales per day for all 365 days of the year; however, seeing a trend from month to month is very difficult due to the busy and excess information in the chart. If you select yes to compact the data, this feature provides meaningful summarized data.

  1. Select the Compact Data Settings. This option is available only if you have previously selected Yes to compact the X axis data.

The wizard provides some predefined intervals to compact the data. Simply choose the option best displays summarized data.

Take advantages of the real-time preview to see which option best matches your graphical preferences. Once you are done, click on Next to continue configuring Axis Y.

Top of Page


Configure Y Axis Type
Configure Y Axis Type

Once the X axis has been configured, you will need to define how the data series will map to the Y axis. In this screen, you will be provided with three options:

  • Only one Y axis on my Chart: All series in your chart will plot against one single Y axis. This is the most straightforward type of chart and is recommended when all series have a similar value range.
  • Primary and Secondary Y axes: It provides your chart with a second, independent Y axis. Use this configuration if you have multiple series with value ranges that differ considerably
  • Multiple panes: Lets you show series in separate panes arranged vertically. This option is useful to improve readability with many series or to allow for better comparison between series.

In this article

bookmark link Only One Y Axis on my Chart

bookmark link Primary and Secondary Y Axes

bookmark link Configure Y Axis

bookmark link Multiple Panes

Only One Y Axis on my Chart

The Configure Y Axis wizard lets you configure the Y axis. If you decide to hide the Y axis, no further configuration is required. Please click on Accept to return to the main menu. On the other hand, if you select to show the Y axis, most options are similar to those provided by the X axis wizard, this screen will let you select the position of the axis.

  1. Type the title of the Axis Y
  2. Choose the Y axis location: Left or Right
  3. Select the type of grid lines. Grid lines are very useful to improve the chart’s readability. You can choose from none, regular grid lines, or interlaced grid lines.
  4. No grid lines:

  • Regular grid lines:

  • Interlaced grid lines:

  1. Choose the grid line style: Solid, Dash, Dot, DashDot, DashDotDot

  2. Customize the axis Y labels: font, size, color, and format

Take advantages of the real-time preview to see which option best matches your graphical preferences. Once you are done, click on Accept to return to the main menu.

Top of Page

Primary and Secondary Y Axes

The Assign Series to Y Axis wizard lets you select the Y axis to which series should be assigned.

Top of Page

Configure Y Axis

Once the series are assigned to primary or secondary Y Axis, you are able to configure each Y axis. The screen will appear twice. If you decide to hide the Y axis, no further configuration is required. Please click on Accept to return to the main menu.

  1. Type the title of the Axis Y
  2. Choose the Y axis location: Left or Right
  3. Select the type of grid lines. Grid lines are very useful to improve the chart’s readability. You can choose from none, regular grid lines, or interlaced grid lines.

  4. No grid lines:

  • Regular grid lines:

  • Interlaced grid lines:

  1. Choose the grid line style: Solid, Dash, Dot, DashDot, DashDotDot

  2. Customize the axis Y labels: font, size, color, and format

Once you are done with your configuration, click on Accept to return to the main menu.

Top of Page

Multiple Panes

The AxisPanes allows the user to display multiple sections of data in a single chart. This feature separates series allowing for improved analytical experience as each pane displays different scales and different chart types as required.

To create panes, you must first assign series to the new numerical axis. The Assign Series to Pane wizard guides you through the process. Taking advantages of the real-time preview, you are able to see how the chart is going to look after the configuration.

The Pane Settings wizard guides you to configure each pane once the series are assigned to the panes.

  1. Type the title of the Pane, if Yes option is selected
  2. Adjust the pane proportion

  3. Choose if the Y axis is visible in this pane
  4. Type the Y Axis title if you choose to have a title
  5. Select the Y axis location: Left or Right

  6. Select the type of grid lines. Grid lines are very useful to improve the chart’s readability. You can choose from none, regular grid lines, or interlaced grid lines.

  7. Choose the grid line style: Solid, Dash, Dot, DashDot, DashDotDot

Once you are done with your configuration, please click Accept to return to the main menu.

Top of Page


Overview
Overview

Typically, a chart contains very little text, since humans are generally able to infer meaning from pictures faster than from a text. On the other hand, texts are helpful in supporting and identifying data on the chart. Legends, axis labels and titles are vital to the readability and understanding of the numerical data contained within a chart. This wizard will allow you to set up the look of these important tests based elements.

To get started, simply click Configure Legend, Title and Labels.


Legend Box Configuration
Legend Box Configuration

A legend is a visual guide to show the viewer additional information regarding the values being displayed without convoluting the chart itself with additional overlaid data. Legends are particularly useful to improve chart’s readability. The Legend Box for values is always shown docked to a margin.

Through the Configure Chart Legend screen, you can customize the legend box:

  1. Choose the position where to place the legend box: Right, Left, Top, Bottom

  2. Select the legend alignment of the content: Center, Bottom, Spread
  3. Choose if legend box should have a border, if yes, select the type of border

Take advantage of the wizard’s real time preview feature to see how the legend box looks on your chart.


Title Configuration
Title Configuration

The Configure Title wizard guides you to improve visual effect to your Chart Web Part. The title can be added to better contextualize the presented content.

  1. Select the title type: Header, Sub-Header, Footer
  2. Type the title
  3. Change the title format settings: Font, Size, Color
  4. Select the alignment: Left, Right, Center


Point Labels Configuration
Point Labels Configuration

The Configure Point Labels screen wizard provides a way to configure labels for the charts data points and to create better visual attributes on a per point basis.

Besides setting the font and other text styling properties, you can set a point labels background, border, border color and alignment.

  • The Alignment set the position of the label relative to the point maker:

  • The Prevent Overlapping option, when enabled, will dynamically adjust the positions of labels or simply hide them in order to avoid overlapping in scenarios with large volumes of data.

Once you have finished modifying point labels, please click Accept to return to the main menu.


DataGrid
DataGrid

The Chart Web Part provides the option of displaying the underlying data in a simple table inside the chart. This table is called the DataGrid, and it allows the user to quickly see all numerical values contained within the chart in a spreadsheet type approach.

You can enable/disable the DataGrid by simply choose Yes/No buttons on the main menu option. Please remember to click OK or Apply in order to commit changes to your web part.


Toolbar
Toolbar

The Toolbar is one of the most useful tools in the chart Web Part, and it is a horizontal bar at the top of the chart. The toolbar contains commands buttons that allows end users to perform actions like:

  • Copy to Clipboard: As a Bitmap, Metafile, and Text (Data only)
  • Print the chart
  • Change galleries
  • Toggle 2D/3D views
  • Adjust Axes settings
  • Set Point Labels
  • Enable/Disable DataGrid
  • Enable/Disable Legend Box
  • Zoom the chart

You can enable/disable the toolbar by simply choose the Yes/No buttons on the main menu option. Please remember to click OK or Apply in order to commit changes to your web part.


Overview
Overview

The Digital Panel web part included with DataParts is a powerful method of delivering simple information to the end-user. In any of his visual presentations, this web part is sure to get the attention of those visiting the page and is ideal for tracking and monitoring a particular indicator in numerical, date or text formats.

With the Digital Panel web part, you will be able to:

  • Give prominent placement to a single value on your SharePoint page
  • Visualize values from Lists, BDCs and Databases
  • Choose from a set of layouts resembling familiar presentation paradigms like Alarm clocks, LCD displays, etc.

Nowadays, organizations make decisions based on easy-to-read and comprehensive information. Visualization such as gauges improves drastically the application usability and performance to achieve the needs and goals of an organization.

Digital Panel DataPart displays measured information, and provides a high level of accuracy. It can be easily read with little or no ambiguity at all. Digital panels are used for both, numeric and alpha-numeric displays. You frequently see digital panels in watches, alarm clocks, digital catalog, and others.


How to Add the Web Part
How to Add the Web Part

To get started, just click Add Web Part, and select Software FX DataParts: Digital Panel


How to Open the Tool Pane
How to Open the Tool Pane

Once the Horizontal Gauge web part is displayed on your page, click Open the tool pane to open the wizard.

The DataParts Digital panel web part provides a comprehensive wizard that integrates with SharePoint’s tool pane and provides a wide array of customization options. The tool pane wizard is the only method to customize the web part.

The tool Pane is shown automatically when you add the web part to the page. Afterwards you can enter edit mode at any time by simply selecting Modify Shared Web Part from the web part menu on the top right corner of the header.


Digital Panel Gallery
Digital Panel Gallery

DataParts provides 6 different types for Digital Panel: basic, inner digital panel, alarm clock, basic white, electronic board and LCD. A Real-time preview is displayed on the web part so you can see how the Digital Panel will look once it is on the page.

If you need the digital panel to show two values instead of just one, simply choose the Inner Digital Panel option.

Once you have selected a style, click on Accept to return to the main menu.


Configure Data
Configure Data

Gauges are designed to be bound to a single precise value by assigning values directly to one of the value based properties. There are many gauge elements which can be bound to values:

  • Gauge’s Main Value
  • Indicator Values
  • Scale Minimum Value
  • Scale Maximum Value

The Configure Data Wizard helps you to match each of the indicators in the gauge to one of the available data fields.

Click on Accept to apply the changes and preview the data on your web part.


Overview
Overview

The Digital Panel Web Part is loaded with a collection of pre-designed color scheme to make a visual impact to capture your visitor’s attention. These distinctive colors not only cause a good first impression, they make easy to read data in a Digital Panel Web Part.

The Configure Look and Feel wizard lets you configure the overall look and feel of your web part by giving you access to borders and display formats.


Select Color Scheme
Select Color Scheme

The color scheme is the choice of colors used to create style and appeal to your digital panel web part. These colors create an aesthetic feeling effect to the end-user. By default, the digital panel web part automatically matches the palette color to your SharePoint theme. However, if you wish to use a different color scheme, you have the option to choose from a list of pre-designed color schemes as well.


Select the Border Type
Select the Border Type

The border is the outer edge of the panel. Simply choose one of the provided pre-defined border types and take advantage of the real time preview to see which option best matches your needs. With a border type selected, you can decide on the color for both the border itself and the inner background of the panel.


Configure display format
Configure display format

The digital Panel web part offers many different formats for the representation of characters. These options are grouped in three main categories: 7-segment, 14-segment, and LED, with each category including several diverse types.

7-Segment digital panel as its name indicates is composed of seven segments for formatting numeric characters from 0-9. This style is normally used in point-of-sale, instrumentation, and other applications requiring numerical display. The dash (-), the colon (:), and the point (.) are supported in this segment as well in order to support dates, times, and currency.

14-Segment digital panel is composed of 14 segments for formatting numeric and alphanumeric characters. This format has the capability to display 44 commonly used characters, including the ten numerals, the uppercase alphabet, and other symbols for use in point-of-sale, instrumentation, and other applications with the capability of displaying alphanumeric messages.

LED Digital panel has the capability of displaying any ASCII character and beyond. This panel is the most appropriate for applying customized characters. These characters are composed of dots.

Besides the display format, you will also be able to set the position of the content inside the panel as well as the size of the display and the transparency level of Off-Digits.


Customize Title
Customize Title

A title can be added to better contextualize the presented content. Besides the Text and font formatting options, you will also be able to select the position of the title either relative to the border or directly in an absolute position.

The Configure Title Wizard lets you customize a title to improve visual effect.

  1. Type the Title in the text box
  2. Select Font, Size, and Color. The title’s font can be adjusted as needed.
  3. Choose location for the title

Once you are done configuring the title, click on Accept to return to the main menu.

When in the main menu, Please remember to always click OK or Apply in order to commit changes to your web part.


Overview
Overview

The Horizontal Gauge web part is a linear gauge that normally shows its input values graphically along a linear scale. It is used for multiple purposes and some of them are representing the progress of a process within a continuous range, scales, thermometers, meters, sliders, and more. The horizontal gauge web part allows for precise measurements, and improves significantly the needs of any business. This web part supports multiple scales, styles, fast and easy to configure horizontal gauge properties.

With Horizontal Gauge web part, you will be able to:

  • Embellish with multiple captions to indicate the type of measurement being displayed, units used or any other informative or decorative labeling.
  • Adjust data coming from lists, SQL Databases, or Business Data Catalogs
  • Customize for an unique attractive appearance


How to Add the Web Part
How to Add the Web Part

To get started, just click Add Web Part, and select Software FX DataParts: Horizontal Gauge


How to Open the Tool Pane
How to Open the Tool Pane

Once the Horizontal Gauge web part is displayed on your page, click Open the tool pane to open the wizard.

The DataParts Horizontal Gauge web part provides a comprehensive wizard that integrates with SharePoint’s tool pane and provides a wide array of customization options. The tool pane wizard is the only method to customize the web part.

You can re-enter edit mode and the wizard at any time by simply selecting Modify Shared Web Part from the web part menu on the top right corner of the header.


Horizontal Gallery
Horizontal Gallery

There are two collections of gallery types: Linear and Thermometer. There are many styles available to accomplish your needs and to display effectively the data. Real-time design preview is displayed on the web part, so you can see how the Horizontal Gauge will look once it is on the page.

Once you have selected a style, click on Accept to return to the main menu.


Configure Scales
Configure Scales

A gauge can have multiple scales. Each scale can have one or more indicators. Multiple scales are employed when displaying values in many units. You can modify the scale’s configuration conveniently through the wizard in two simple steps.

The scale is a standard measurement by a specified scheme of intervals. The Scale Bar defines the border (color and thickness) and the inner color of the bar.

The scale bar is managed by sections and scales exclusively for modifying the appearance, and to enhance its visibility. Through the Configure Scales wizard, you have options to:

  1. Show/hide the scale bar
  2. Choose the scale bar color
  3. Select the thickness
  4. Adjust Max/Min values
  5. Adjust scale angles, radius, and center point


Overview
Overview

The Horizontal gauge provides a rich set of color schemes; borders and display formats which best fit your needs. This feature allows you to choose one of many options and applies it to your horizontal gauge web part. Real-time design preview is displayed on the web part, so you can see how the Horizontal Gauge will display once it is on the page.


Select Color Scheme
Select Color Scheme

The color scheme is the choice of colors used to create style and appeal to your horizontal gauge web part. These colors create an aesthetic feeling effect to the end-user. By default, the horizontal gauge web part automatically matches the palette color to your SharePoint theme. However, if you wish to use a different color scheme, you have the option to choose from a list of pre-designed color schemes as well.


Select the Border Type
Select the Border Type

The border is the outer edge of the horizontal gauge. Simply select the type of border and take advantages of the real-time preview to see which option best matches your graphical preferences, as well as the border and inside color. The inside color enhances the appearance by adding additional realism effects.

Once you have selected the border type, click on Accept to return to the main menu.


Configure the Indicator
Configure the Indicator

Within a scale, it usually contains one indicator. However, multiple indicators can be included with each scale. The Horizontal Gauge web part offers 3 styles of indicators available for customizing:

  • Filler
  • Filler-Repeater
  • Marker

Tickmarks are defined and used within the scale in a gauge web part. They are composed of 3 types: major, medium, and minor.

A set of pre-designed indicator has been created to achieve effective appearance. Settings such as color, size, tickmarks, decimals, and format can be adjusted as you preferred.

Take advantage of the DataParts Wizard’s real time preview feature to see how each indicator style looks on your horizontal gauge web part.

Once you have selected an indicator style, click on Accept to return to the main menu.


Overview
Overview

Radial Gauge web part provides you an excellent choice to create attractive dials or speedometers. This web part guides you using simple properties to customize their start, scales, caps, tick marks, pointers and more. Additionally, radial gauges are useful to represent a quantifiable process progressing through the possible range displayed on a scale with a circular, semi-circular, or rectangular piece.

With Radial Gauge Web Part you will able to:

  • Customize the look and feel to match business needs
  • Adjust data coming from lists, SQL Databases, or Business Data Catalogs
  • Easy-to-read precise information


How to Add the Web Part
How to Add the Web Part

To get started, just click Add Web Part, and select Software FX DataParts: Radial Gauge


How to Open the Tool Pane
How to Open the Tool Pane

Once the Radial Gauge web part is displayed on your page, click Open the tool pane to open the wizard.

The DataParts Radial Gauge web part provides a comprehensive wizard that integrates with SharePoint’s tool pane and provides a wide array of customization options. The tool pane wizard is the only method to customize the web part.

You can re-enter edit mode and the wizard at any time by simply selecting Modify Shared Web Part from the web part menu on the top right corner of the header.


Radial Gauge Gallery
Radial Gauge Gallery

There is a rich set of styles for radial gauges at design-time which is divided into 3 different collections: circular, semi-circular, and rectangular styles. There are many styles available to accomplish your needs and to display effectively the data. Real-time design preview is displayed on the web part, so you can see how the Radial Gauge will look once it is on the page.

Once you have selected a style, click on Accept to return to the main menu.


Configure Scales
Configure Scales

A gauge can have multiple scales. Each scale can have one or more indicators. Multiple scales are employed when displaying values in many units. You can modify the scale’s configuration conveniently through the wizard in two simple steps.

The scale is a standard measurement by a specified scheme of intervals. The Scale Bar defines the border (color and thickness) and the inner color of the bar.

The scale bar is managed by sections and scales exclusively for modifying the appearance, and to enhance its visibility. Through the Configure Scales wizard, you have options to:

  1. Show/hide the scale bar
  2. Choose the scale bar color
  3. Select the thickness
  4. Adjust Max/Min values
  5. Adjust scale angles, radius, and center point

Once you have the scale configured, click on Accept to return to the main menu.


Overview
Overview

Radial gauge Configure Look and Feel wizard allows you to select one of many pre-designed formats and applies it to your gauge. Real-time design preview is displayed on the web part, so you can see how the Radial Gauge will display once it is on the page.


Select Color Scheme
Select Color Scheme

The color scheme is the choice of colors used to create style and appeal to your Radial Gauge web part. These colors create an aesthetic feeling effect to the end-user. By default, the radial gauge web part automatically matches the palette color to your SharePoint theme. However, if you wish to use a different color scheme, you have the option to choose from a list of pre-designed color schemes as well.


Select the Border Type
Select the Border Type

The border is the outer edge of the radial gauge. Simply select the type of border and take advantages of the real-time preview to see which option best matches your graphical preferences, as well as the border and inside color. The inside color enhances the appearance by adding additional realism effects.


Configure the Indicator
Configure the Indicator

Within a scale, it usually contains one indicator. However, multiple indicators can be included with each scale. The Radial Gauge web part offers 3 collections of indicators available for customizing:

  • Thin Needle
  • Thick Needle
  • Marker

Tickmarks are defined and used within the scale in a gauge web part. They are composed of 3 types: major, medium, and minor.

A set of pre-designed indicator has been created to achieve effective appearance. Settings such as color, size, tickmarks, decimals, and format can be adjusted as you preferred.


Configure the Cap
Configure the Cap

The cap is property within a scale. The cap defines the element placed on top of the needle indicators.

There are two sets of pre-defined cap styles to select from in this step: Fixed and Rotating. The rotating style is not symmetrical, and it is rotating along with the needle. The color, size and position can be set as preferred.

Take advantage of the DataParts wizard’s real time preview feature to see how each indicator style looks on your radial gauge web part.

Once you have selected an indicator style, click on Accept to return to the main menu.


Overview
Overview

The Vertical Gauge web part is quite similar to the Horizontal Gauge web part. Both derive from a linear gauge. This vertical gauge web part offers a wide range of unique applications, and it is used to represent a specific value along a linear scale. It is used for multiple purposes and some of them are representing the progress of a process within a continuous range, scales, thermometers, meters, sliders, and more. The vertical gauge web part allows for precise measurements, and improves significantly the needs of any business. This web part supports multiple scales, styles, fast and easy to configure vertical gauge properties.

With the Vertical Gauge web part, you will able to:

  • Effectively display information with an eye-catching look
  • Visualize values from Lists, Databases, and Business Data Catalogs
  • Customize the appearance and feel to match business needs


How to Add the Web Part
How to Add the Web Part

To get started, just click Add Web Part, and select Software FX DataParts: Vertical Gauge


How to Open the Tool Pane
How to Open the Tool Pane

Once the Vertical Gauge web part is displayed on your page, click Open the tool pane to open the wizard.

The DataParts Vertical Gauge web part provides a comprehensive wizard that integrates with SharePoint’s tool pane and provides a wide array of customization options. The tool pane wizard is the only method to customize the web part.

You can re-enter edit mode and the wizard at any time by simply selecting Modify Shared Web Part from the web part menu on the top right corner of the header.


Vertical Gauge Gallery
Vertical Gauge Gallery

As in horizontal gauges, there are divided into 2 galleries types: Linear and Thermometer styles. There are many styles available to accomplish your needs and to display effectively the data. Real-time design preview is displayed on the web part, so you can see how the Vertical Gauge will look once it is on the page.

Once you have selected a style, click on Accept to return to the main menu.


Configure Scales
Configure Scales

A gauge can have multiple scales. Each scale can have one or more indicators. Multiple scales are employed when displaying values in many units. You can modify the scale’s configuration conveniently through the wizard in two simple steps.

The scale is a standard measurement by a specified scheme of intervals. The Scale Bar defines the border (color and thickness) and the inner color of the bar.

The scale bar is managed by sections and scales exclusively for modifying the appearance, and to enhance its visibility. Through the Configure Scales wizard, you have options to:

  1. Show/hide the scale bar
  2. Choose the scale bar color
  3. Select the thickness
  4. Adjust Max/Min values
  5. Adjust scale angles, radius, and center point

Once you are done configuring the scale sections, click on Accept to return to the main menu.


Overview
Overview

The Configure Look and Feel wizard provides many pre-designed formats to customize the appearance and feel such as color schemes, borders types, and indicators. Real-time design preview is displayed on the web part, so you can see how the Vertical Gauge will display once it is on the page.


Select Color Scheme
Select Color Scheme

The color scheme is the choice of colors used to create style and appeal to your Vertical Gauge web part. These colors create a visual feeling effect to the end-user. By default, the vertical gauge web part automatically matches the palette color to your SharePoint theme. However, if you wish to use a different color scheme, you have the option to choose from a list of pre-designed color schemes as well.


Select the Border Type
Select the Border Type

The border is the outer edge of the radial gauge. The inside color enhances the appearance by adding additional realism effects. You have the option to show/hide the border of the vertical gauge web part.

To choose the type of border, simply select it and take advantages of the real-time preview to see which option best matches your graphical preferences.


Configure the Indicator
Configure the Indicator

Within a scale, it usually contains one indicator. However, multiple indicators can be included with each scale. The Vertical Gauge web part offers 3 styles of indicators available for customizing:

  • Filler
  • Filler-Repeater
  • Marker

A set of pre-designed indicator has been created to achieve effective appearance. Settings such as color, size, , position, format, and decimals can be adjusted as you preferred.

Take advantage of the DataParts Wizard’s real time preview feature to see how each indicator style looks on your vertical gauge web part.

Once you have selected an indicator style, click on Accept to return to the main menu.


Overview
Overview

The DataParts Map web part lets you combine cutting edge graphical map representation with the dynamic functionality, visually attractive and fully customizable web part.

With the Map you will be able to:

  • Integrate in a powerful way, geographical maps into your SharePoint
  • Work with a full library of world continents, countries, US States, countries and zip code maps
  • Offer great features such as customizable legend and data views, drill-down capabilities, fully customizable labels
  • Add custom maps to the library


How to Add the Web Part
How to Add the Web Part

To get started, simply click Add Web Part and select Software FX DataParts: Map


How to Open the Tool Pane
How to Open the Tool Pane

When the web part is displayed on your page, click Open the Tool Pane.

The DataParts Map web part provides a comprehensive wizard that integrates with SharePoint’s tool pane and provides a wide array of customization options. The tool pane wizard is the only method to customize the web part.

The tool Pane is shown automatically when you add the web part to the page. Afterwards you can enter edit mode at any time by simply selecting Modify Shared Web Part from the web part menu on the top right corner of the header.


Overview
Overview

The map type wizard in the Map Web Part allows you to choose the type of map that best fits your data visualization needs. There is a variety of map gallery types:

  • USA Regions
  • USA Counties
  • USA 3-digit Zip Codes
  • USA 5-digit Zip Codes Grouped
  • USA 5-digit Zip Codes Regions
  • USA 5-digit Zip Codes Detailed
  • World Maps
  • World Regions
  • Custom Maps

In this article

bookmark link USA Regions

bookmark link USA Counties

bookmark link USA 3-digit Zip Codes

bookmark link USA 5-digit Zip Codes Grouped

bookmark link USA 5-digit Zip Codes Regions

bookmark link USA 5-digit Zip Codes Detailed

bookmark link World Maps

bookmark link World Regions

bookmark link Custom Maps

USA Regions

Many of the maps allow for multiple levels of groups. For example, the continental United States map has two detail levels: State, where the data plotted is specific to each state and Regional, where the states are grouped into various regions such as SE, NE, Great Lakes, etc. DataParts refers to each available grouping level as a uniquely selectable Detail Level. As an example, using the smart tag you can select the Continental USA Regions. This map groups the various states into commonly referred to regions such as (North Central, Great Lakes, Mid Atlantic, etc).

Top of Page

USA Counties

USA Counties Maps are a set of detailed maps offered by the Map Web Part. It provides a greater insight into a particular USA county.

Top of Page

USA 3-digit Zip Codes

The 3-digit zip codes refer to the first 3 digits of the 5-digit Zip Code. For instance, the zip code 38204 has a 3-digit of 382. Any Zip Code starting with 382 would be grouped into this 3-digit area.

The first digit, 0-9 designates the general area of the country with numbers starting lower in the east and increasing as you move west. For example 0 covers Maine while 9 refers to California.

The first digit of the ZIP code is allocated as follows:

  • 0 = Connecticut (CT), Massachusetts (MA), Maine (ME), New Hampshire (NH), New Jersey (NJ), Puerto Rico (PR), Rhode Island (RI), Vermont (VT), Virgin Islands (VI), Army Post Office Europe (AE), Fleet Post Office Europe (AE)
  • 1 = Delaware (DE), New York (NY), Pennsylvania (PA)
  • 2 = District of Columbia (DC), Maryland (MD), North Carolina (NC), South Carolina (SC), Virginia (VA), West Virginia (WV)
  • 3 = Alabama (AL), Florida (FL), Georgia (GA), Mississippi (MS), Tennessee (TN), Army Post Office Americas (AA), Fleet Post Office Americas (AA)
  • 4 = Indiana (IN), Kentucky (KY), Michigan (MI), Ohio (OH)
  • 5 = Iowa (IA), Minnesota (MN), Montana (MT), North Dakota (ND), South Dakota (SD), Wisconsin (WI)
  • 6 = Illinois (IL), Kansas (KS), Missouri (MO), Nebraska (NE)
  • 7 = Arkansas (AR), Louisiana (LA), Oklahoma (OK), Texas (TX)
  • 8 = Arizona (AZ), Colorado (CO), Idaho (ID), New Mexico (NM), Nevada (NV), Utah (UT), Wyoming (WY)
  • 9 = Alaska (AK), American Samoa (AS), California (CA), Guam (GU), Hawaii (HI), Marshall Islands (MH), Federated States of Micronesia (FM), Northern Mariana Islands (MP), Oregon (OR), Palau (PW), Washington (WA), Army Post Office Pacific (AP), Fleet Post Office Pacific (AP)

The next two digits referred to one of the 455 Sectional Center Facilities (SCFs) in the US.

Top of Page

USA 5-digit Zip Codes Grouped

ZIP codes are numbered with the first digit representing a certain group of U.S. states, the second and third digits together representing a region in that group (or perhaps a large city) and the fourth and fifth digits representing a group of delivery addresses within that region. The main town in a region (if applicable) often gets the first ZIP codes for that region; afterward, the numerical order often follows the alphabetical order. This set of maps provides a greater insight into a particular USA counties grouped by 5-digit Zip Codes.

Top of Page

USA 5-digit Zip Codes Regions

ZIP codes are numbered with the first digit representing a certain group of U.S. states, the second and third digits together representing a region in that group (or perhaps a large city) and the fourth and fifth digits representing a group of delivery addresses within that region. This set of maps provides a greater insight into a particular USA counties grouped by 5-digit Zip Codes Regions.

Top of Page

USA 5-digit Zip Codes Detailed

ZIP codes are numbered with the first digit representing a certain group of U.S. states, the second and third digits together representing a region in that group (or perhaps a large city) and the fourth and fifth digits representing a group of delivery addresses within that region. These set of maps are grouped by detailed 5-digit Zip Codes counties.

Top of Page

World Maps

Maps of the world show the physical surface of a large area. This option provides three types of maps: World countries, World Continents, and Extended World Continent.

Top of Page

World Regions

Region is most commonly a geographical term, a medium scale area of land or water based on location. The World Regions option arranged a set of maps in alphabetical order by region.

Top of Page

Custom Maps

The map web part supports custom diagrams through the use of the SVG standard such as a seating chart or any other diagram where data needs to be associated. The SVG (Scalable Vector Graphics) format is a World Wide Web Consortium (W3C) specification for a standard, two-dimensional vector graphics language.

Although we will use Adobe Illustrator for this process, any vector-editing tool allowing grouping of polygons and exports to SVG format should work.

Imagine we want to create an airplane seat reservation system for an airline. For this, we should have a map of the layout of each airplane. In this example, we will create the layout map of a particular plane. First, the only way to associate data to a SVG file is to have a way to identify the section of the SVG where the data applies. For this, we must create unique identifying markers within the SVG we can later associate with the data. For this example, each seat in the plane can be reserved independently. Therefore, an object must be created for each seat in the plane and a unique name should be given to each object. In this example, the unique name will be the seat number.

Objects to be used and dynamically modified with Map Web Part must to be generated in SVG format. Vector is a resolution-independent format of describing graphics according to their geometric characteristics. These vector objects should then be exported to an SVG file which Map Web Part can access.

Top of Page


Overview
Overview

The Adjust Data to Map wizard guides you to process the data field, and it provides a powerful error detection mechanism that alerts you of any potential problems or conflicts between your query and how Map Web Part will attempt to plot the data at run time. By default, the map adjusts its data automatically. Nevertheless, in this section, you are able to select the series options.


Select Fields to Use
Select Fields to Use

Once the data source is selected, you can configure how fields in the data source should be treated by the map. The first step of the wizard lets you choose which fields to use in the map. There are multiple field types:

  • Number: used to bind numeric values like integers, decimals, doubles, etc.
  • Text: used for string, text o memo fields.
  • Boolean: used for Boolean data (True or false/ Yes or No)


Configure Series Options
Configure Series Options

If there is no ambiguity with the selected fields, you can change the series name for each of the fields, and the order of each series by simply clicking on the appropriate link.

Click on Accept once you are done in order to return to the tool pane menu.


Link Map Regions
Link Map Regions

To properly identify the regions in the map, your data must match exactly to the identifiers in the map. Alternately, you can use or create a link between your data and the map.


Edit Conditional Attributes
Edit Conditional Attributes

Conditional Attributes are a way to assign visual attributes to the map. It is important to recognize this relationship, as when you pass multiple series of data to your maps, you may wish to use this relationship to your advantage.

For maps with one series of data, this relationship does not provide any real advantage; however, when passing multiple data series it could be very useful. In the next image, let’s compare how the chart reacts to a single series of data verses multiple series of data (with no Conditional Attributes applied):

Notice how when one series of data was passed, the default behavior was to color the map using the series1, the color is Blue by default, and how when multiple series were passed each of the series used in the map.

In order to determine the color used in a map, you must specify the ranges and color. The wizard guides you through the steps to configure the range colors.

You can create visually appealing maps very easily, with simple steps.


Overview
Overview

The Map Web Part is loaded with a collection of recognized successful motifs that you can use in your web site, making a visual impact to capture your visitor’s attention. These distinctive motifs not only cause a good first impression, they make easy to read data in a list.

The Map Web Part Motif comes with a preferred Color Scheme, used to create a theme, but it can be perfectly mixed or blended with different palettes to create good-looking personalized grids.

The Configure Look and feel wizard lets you configure the overall look and feel of your web part by giving you access to motifs, color schemes and borders.


Select the Border Type
Select the Border Type

The border is the outer edge of the map. DataParts offers many different border types to help you fine tune the personality of your web part. The wizard will let you choose from a gallery of over a dozen different border options, as well as the border color.

Take advantage of the DataParts Wizard’s real time preview feature to see how each border style looks on your map.


Configure Background
Configure Background

The map web part supports both solid color and gradient backgrounds. In this screen you will be able to choose which type of background to use. If a gradient background is selected, the wizard provides options to define the direction and colors of the gradient. Additionally, you can also choose to continue using the background defined by the palette being used by the map.

Once you are done configuring look and feel, click on Accept to return to the main menu.


Overview
Overview

Typically, a map contains very little text, since humans are generally able to infer meaning from pictures faster than from a text. On the other hand, texts are helpful in supporting and identifying data on the map. Legends, labels and titles are vital to the readability and understanding of the numerical data contained within a map. This wizard will allow you to set up the look of these important tests based elements.

To get started, simply click Configure Legend, Title and Labels.


Legend Box Configuration
Legend Box Configuration

A legend is a visual guide to show the viewer additional information regarding the values being displayed without convoluting the map itself with additional overlaid data. Legends are particularly useful to improve map’s readability. The Legend Box for values is always shown docked to a margin.

Through the Configure Map Legend screen, you can customize the legend box:

  1. Choose the position where to place the legend box: Right, Left, Top, Bottom

  2. Select the legend alignment of the content: Center, Bottom, Spread
  3. Choose if legend box should have a border, if yes, select the type of border

Take advantage of the wizard’s real time preview feature to see how the legend box looks on your chart.


Title Configuration
Title Configuration

The Configure Title wizard guides you to improve visual effect to your Map Web Part. The title can be added to better contextualize the presented content.

  1. Select the title type: Header, Sub-Header, Footer
  2. Type the title
  3. Change the title format settings: Font, Size, Color
  4. Select the alignment: Left, Right, Center


Point Labels Configuration
Point Labels Configuration

The Configure Point Labels screen wizard provides a way to configure labels for the map data points and to create better visual attributes on a per point basis.

Besides setting the font and other text styling properties, you can set a point labels background, border, border color and alignment.

  • The Alignment set the position of the label relative to the point maker:

  • The Prevent Overlapping option, when enabled, will dynamically adjust the positions of labels or simply hide them in order to avoid overlapping in scenarios with large volumes of data.

Once you have finished modifying point labels, please click Accept to return to the main menu.


DataGrid
DataGrid

The Map Web Part provides the option of displaying the underlying data in a simple table inside the map. This table is called the DataGrid, and it allows the user to quickly see all numerical values contained within the chart in a spreadsheet type approach.

You can enable/disable the DataGrid by simply choose Yes/No buttons on the main menu option. Please remember to click OK or Apply in order to commit changes to your web part.


Toolbar
Toolbar

The Toolbar is one of the most useful tools in the map Web Part, and it is a horizontal bar at the top of the map. The toolbar contains commands buttons that allows end users to perform actions like:

  • Copy to Clipboard: As a Bitmap, Metafile, and Text (Data only)
  • Print the chart
  • Set Point Labels
  • Enable/Disable DataGrid
  • Enable/Disable Legend Box
  • Zoom the map

You can enable/disable the toolbar by simply choose the Yes/No buttons on the main menu option. Please remember to click OK or Apply in order to commit changes to your web part.


Overview
Overview

Localization is the process of translating a product into a different languages or adapting a language for a specific country or region. DataParts for SharePoint 2007 provides localization resources for a number of cultures. The following localized resources are currently available with no extra cost.

  • Spanish (es)
  • Portuguese (pt)
  • Japanese (ja)

The installation procedure added a Globalization folder with the localized resources for the language provided, identified by its Culture name, as defined by the .NET Framework.


Getting SharePoint 2007 Language Pack
Getting SharePoint 2007 Language Pack

  1. Download the appropriate files.

    • For MOSS, you will need the MOSS and WSS files. Remember there are specific 64bit versions
    • On each of the download pages, change the language in the selector to the language pack you want, here are your download links:

      • WSS 3.0 Language pack http://www.microsoft.com/downloads/details.aspx?FamilyId=36EE1BF0-652C-4E38-B247-F29B3EEFA048&displaylang=en
      • WSS 3.0 Language pack SP1 http://www.microsoft.com/downloads/details.aspx?FamilyId=05046B1D-DD7B-456A-8838-8D978C5F3579&displaylang=en
      • MOSS Language pack http://www.microsoft.com/downloads/details.aspx?FamilyId=2447426B-8689-4768-BFF0-CBB511599A45&displaylang=en
      • MOSS Language pack SP1 http://www.microsoft.com/downloads/details.aspx?FamilyId=3A6C26FD-0BEB-40D5-8CBA-15164FAAB150&displaylang=en

    • Install the file. The install wizard will be in the language of the language pack. Follow these steps:

      • Install WSS Language Pack (don't run the MOSS Configuration Wizard)
      • Install MOSS Language Pack (don't run the MOSS Configuration Wizard)
      • Install WSS Language Pack SP1 (don't run the MOSS Configuration Wizard)
      • Install MOSS Language Pack SP1
      • Run the MOSS Configuration Wizard (choose to not disconnect from farm)

    • Test

      • Create a new site; you should see a drop down for Language which includes your newly installed language
      • Go to the new site and learn how to say 'Site Actions, 'Edit Page' in a foreign language!


Using the DataParts Language Packs
Using the DataParts Language Packs

  1. Once SharePoint 2007 Language Pack is installed, all resources dll are located in the DataParts installation folder. Typically created at C:\Program Files\Software FX\DataParts 2007\Language Packs.
  2. Please go to each of the sites where DataParts is installed. For example, if DataParts is deployed on the default website 80, you should go to C:\Inetpub\wwwroot\wss\VirtualDirectories\80\bin.
  3. Manually create a folder called "es" (i.e for Spanish)
  4. Copy the respective dll files (installation folder) in the respective folders (each website folders).
  5. There are two resouce dlls for each language, i.e "es" for Spanish and "pt" for Portuguese language.

Rename the resources dlls. Remove the suffix "es" (i.e. for Spanish) when there are copied on the "es" folder in each website folders where DataParts is installed.;

  1. Create a site in the desired language and use the DataParts for SharePoint 2007.


Creating Custom Resource Files
Creating Custom Resource Files

In cases in which it is necessary to use a language resource that is not provided by DataParts, it is possible to create custom localization resources with the help of a set of utilities that allow the user to customize the strings used in the wizards. These localization resources need to be sent back to Software FX for signing before they are deployed.


Creating the Resource DLL
Creating the Resource DLL

Please contact support@softwarefx.com for the custom localization package. Once obtained the package, please follow next procedure:

  1. Unzip the contents of the localization package.
  2. Inside the localization folder, create a folder with the regional name of the language for which you intend to create the resources. For example, if you want to create French resources, please create a folder named "fr".
  3. Use Visual Studio to open and translate the .resx file. There a middle column in blank, please fill the translate string in that column. Additionally, a tool is provided in the localization package that extracts all the translated strings into a .txt file. The advantage of this file is that you can open this file and check the spelling to point out any mistakes.
  4. Please send the translated .resx file back to us in order to create the dlls for your custom language.


List/Card Presentation
List/Card Presentation
BDC | Business Data Catalog: Feature of Microsoft Office SharePoint Server 2007 to find, view, and analyze the data that is stored in specialized business program
Headers | Headers serve to identify columns and count items in a columnar list.
Column | A column represents the vertical graphic element to render data contained in data fields.
Item | Item embodies a row inside a list, and it corresponds to the horizontal element matching a data source row.
Grouping | Break the data into groups in order to make it easier to read and to analyze.
Filtering | It allows limiting the items to be shown in the list including only specific group based on a particular criteria.
Sorting | Data can be organized in a particular order to help users find and evaluate the information.
Floating Bar | When users select different elements on the list, a semi-transparent floating toolbar is exposed. This Floating Bar can be show/hide by resting the pointer on it, and it’s a handy and non-intrusive tool for users to perform actions like formatting, grouping, Items filtering and copying among many others.
Tooltips | Tooltips are useful to display supplementary information on different elements on the list web part.
Collapsible Sidebar | Sidebar can be collapsed/expanded by end user at run time.


Chart
Chart
Axes | One of the most important elements in a Chart Web Parts since they contain information that help the user interpret a chart. In most cases, charts are drawn in an XY coordinate system.
Highlight | Highlight improves the chart’s web part readability by allowing end users to point to chart elements in which to focus attention.
DataGrid | The Chart Web Part provides the option of displaying the underlying data in a simple table inside the chart. This table is called the DataGrid and it allows the user to quickly see all numerical values contained within the chart in a spreadsheet type approach.
Toolbar | The Toolbar is one of the most useful tools in the chart Web Part. This element gives the end user the power to zoom, scroll, toggle 3D views and change galleries, among others.
Tooltips | Tooltips provides additional information on each point when triggered by the mouse movement in a Chart Web Part.


Gauge
Gauge
Needle Marker | Types of a gauge web part indicator.
Section | It allows you to mark areas on a scale with an important significance in a gauge web part.
Cap | In a gauge web part, it defines the element placed on top of the needle indicators.
Filler | It leaves a trail as it moves along the values while marker is positioned on the respective value in a gauge web part.
Tickmarks | Tickmarks are defined and used within the scale in a gauge web part. They are composed of 3 types: major, medium, and minor.
Border | The border is the outer edge, and surrounding background of a gauge web part.
Glare | Glare is a lighting effect that adds realism to the final rendered output


DataParts for SharePoint 2007 License Agreement
DataParts for SharePoint 2007 License Agreement
In this article

bookmark link READ CAREFULLY BEFORE INSTALLING THE SOFTWARE.

READ CAREFULLY BEFORE INSTALLING THE SOFTWARE.

By installing the DataParts for SharePoint 2007 software (hereinafter "the Software" or "Software"), you are accepting the following License Agreement.

LICENSE AGREEMENT. This is a legal agreement between you (either an individual or an entity) and Software FX, Inc. By installing the software you are agreeing to be bound by the terms of this agreement. If you do not agree to the terms of this agreement, promptly return the uninstalled software to the place you purchased it for a full refund.

1. GRANT OF LICENSE. Software FX, Inc. grants to you as an individual or entity a non-exclusive license to make and use copies of the SOFTWARE in the manner provided below. The rights granted under this Agreement are only effective upon payment of license fees and possession of the appropriate License Agreement (if applicable). The software is licensed, not sold.

(a) Installation. The software contains portions known as "Production Server Components" and "Test/Development Server Components" are provided to enable services on a computer called a server. This license agreement grants you one (1) license of the software portions known as "Production Server" and one (1) License of "Test/Development Server Components".

(b) Use of Test Server Components. These components are licensed on a per server basis. you may use the "Test/Development Server" software for the sole purpose of designing, developing and testing your product(s). "Test/Development Server Components" must not be used as separate components or be used for building ASP.NET applications or standalone applications in any web server platform or environment besides a SharePoint server. Test/Development Server Components" may not be used on a production server or a server where users connect to access a live SharePoint site.

(c) Use of Production Server Components. These components are licensed on a per server basis. The "Production Server Components" may only be used on one and the same server. Additional license fees are also due if the "Production Server Components" are used for hosting or service bureau purposes (e.g. an Internet Service Provider (ISP) may not use the "Production Server Components" when hosting SharePoint sites for customers. A Production Server license is required for each additional computer on which you will be installing and running any of the "Production Server Components". "Production Server Components" must not be used as separate components or be used for building ASP.NET applications or standalone applications in any web server platform or environment besides a SharePoint server."Production Server Components are cost is determined based on the number of named users in the SharePoint site where the Software is being used. You agree to purchase, install and upgrade (when necessary) a version of the Software that complies with the amount of users in your SharePoint implementation. You may not use or redistribute the Production Server Components without the express written consent of Licensor which will be granted thorugh an OEM Agreement.

2. COPYRIGHT. The SOFTWARE is owned by Software FX, Inc. and is protected by United States copyright laws and international treaty provisions. Therefore, you must treat the SOFTWARE like any other copyrighted material (e.g. a book or a musical recording) except that you may either (a) make one copy of the SOFTWARE solely for backup or archival purposes; (b) transfer the SOFTWARE to a single hard disk provided you keep the original solely for backup or archival purposes or (d) you may store or install a copy of the Software on a storage device, such as a network server, used only to install or run the Software on other computers over an internal network; however, you must acquire and dedicate a License for each separate computer on which the Software is installed or run from the storage device. A License for the Software may not be shared or used concurrently on different computers. You may not make multiples copies of SOFTWARE or the written materials accompanying the SOFTWARE.

3. REDISTRIBUTABLE CODE. No Portions of the software are designated as "Redistributable Code".

4. INTELLECTUAL PROPERTY RIGHTS. You acknowledge that the Software and any copies that you are authorized by Software FX to make are the intellectual property of and are owned by Software FX and its suppliers. The structure, organization and code of the Software are the valuable trade secrets and confidential information of Software FX and its suppliers. The Software is protected by copyright, including without limitation by United States Copyright Law, international treaty provisions and applicable laws in the country in which it is being used.

You acknowledge that Software FX retains the ownership of all patents, copyrights, trade secrets, trademarks and other intellectual property rights pertaining to the Software, and that Software FX's ownership rights extend to any images, photographs, animations, videos, audio, music, text and "applets" incorporated into the Software and all accompanying printed materials. You will take no actions which adversely affect Software FX's intellectual property rights in the Software. Trademarks shall be used in accordance with accepted trademark practice, including identification of trademark owners' names. Trademarks may only be used to identify printed output produced by the Software, and such use of any trademark does not give you any right of ownership in that trademark. Chart FX, Grid FX, PowerGadgets, and Software FX are trademarks of Software FX Inc.. Except as expressly stated above, this Software License Agreement does not grant you any intellectual property rights in the Software. Notifications of claimed copyright infringement should be sent to Software FX's copyright agent as further provided on the Software FX Web Site.

3. LIMITED TRANSFER RIGHTS Notwithstanding the foregoing, you may transfer all your rights to use the Software to another person or legal entity provided that: (a) you also transfer each of this Software License Agreement, the Software and all other software or hardware bundled or pre-installed with the Software, including all copies, updates and prior versions, and all copies of font software converted into other formats, to such person or entity; (b) you retain no copies, including backups and copies stored on a computer; (c) the receiving party secures a personalized serial number from Software FX; and (d) the receiving party accepts the terms and conditions of this Software License Agreement and any other terms and conditions upon which you legally purchased a license to the Software. Notwithstanding the foregoing, you may not transfer education, pre-release, or not-for-resale copies of the Software.

4. PRE-RELEASE AND EVALUATION SOFTWARE. If the product you have received with this license is pre-commercial release or beta Software ("Pre-release Software"), then this Section applies. In addition, this section applies to all evaluation and/or demonstration copies of Software FX software ("Evaluation Software") and continues in effect until you purchase a license. To the extent that any provision in this section is in conflict with any other term or condition in this Software License Agreement, this section shall supersede such other term(s) and condition(s) with respect to the Pre-release and/or Evaluation Software, but only to the extent necessary to resolve the conflict. You acknowledge that the Pre-release Software is a pre-release version, does not represent final product from Software FX, and may contain bugs, errors and other problems that could cause system or other failures and data loss. CONSEQUENTLY, THE PRE-RELEASE AND/OR EVALUATION SOFTWARE IS PROVIDED TO YOU "AS-IS" WITH NO WARRANTIES FOR USE OR PERFORMANCE, AND SOFTWARE FX DISCLAIMS ANY WARRANTY OR LIABILITY OBLIGATIONS TO YOU OF ANY KIND, WHETHER EXPRESS OR IMPLIED. WHERE LEGALLY LIABILITY CANNOT BE EXCLUDED FOR PRE-RELEASE AND/OR EVALUATION SOFTWARE, BUT IT MAY BE LIMITED, SOFTWARE FX'S LIABILITY AND THAT OF ITS SUPPLIERS SHALL BE LIMITED TO THE SUM OF FIFTY DOLLARS (USD $50) IN TOTAL. If the Evaluation Software has a time-out feature, then the software will cease operation after the conclusion of the designated evaluation period. Upon such expiration date, your license will expire unless otherwise extended. Access to any files created with the Evaluation Software is entirely at your risk. You acknowledge that Software FX has not promised or guaranteed to you that Pre-release Software will be announced or made available to anyone in the future, that Software FX has no express or implied obligation to you to announce or introduce the Pre-release Software, and that Software FX may not introduce a product similar to or compatible with the Pre-release Software. Accordingly, you acknowledge that any research or development that you perform regarding the Pre-release Software or any product associated with the Pre-release Software is done entirely at your own risk. During the term of this Software License Agreement, if requested by Software FX, you will provide feedback to Software FX regarding testing and use of the Pre-release Software, including error or bug reports. If you have been provided the Pre-release Software pursuant to a separate written agreement, your use of the Software is governed by such agreement. You may not sublicense, lease, loan, rent, distribute or otherwise transfer the Pre-release Software. Upon receipt of a later unreleased version of the Pre-release Software or release by Software FX of a publicly released commercial version of the Software, whether as a stand-alone product or as part of a larger product, you agree to return or destroy all earlier Pre-release Software received from Software FX and to abide by the terms of the license agreement for any such later versions of the Pre-release Software.

5. UPGRADES. If the Software is labeled as an upgrade, you must be properly licensed to use a product identified by Software FX as being eligible for the upgrade in order to use the Software. A Software labeled as an upgrade replaces and/or supplements the product that formed the basis for your eligibility for the upgrade. You may use the resulting upgrading product only in accordance with the terms of this License Agreement. If the Software is an upgrade of a component of a package of software programs that you licensed as a single product, the Software may be used and transferred only as part of that single package and may not be separated for use in more than one computer.

6. NO OPEN SOURCE. Your right to the Software does not include any license, right, power or authority to subject the Software in whole or in part to any of the terms of an Excluded License. An "Excluded License" means any "open source" or other license that require as a condition of use, modification and/or distribution of software subject to the Excluded License, that such software or other software combined and/or distributed with such software be (a) disclosed or distributed in source code form; (b) licensed for the purpose of making derivative works; or (c) redistributable at no charge.

7. HIGH RISK ACTIVITIES. The Software is not fault tolerant and is not intended for use in high-risk activities. You may not use the Software in the design, construction, operation or maintenance of any nuclear facility or weapon of mass destruction, or for the purpose of aircraft navigation or control or any other activity in which the failure of the Software could result in loss of human life, personal injury or property damage..

8. SERVICES. There are no services provided under this agreement. You are responsible for installing the Software on your computers as permitted under this agreement.

9. FEES. Prices are available upon request and are subject to change. Please consult Licensor or its authorized resellers as to current fees before placing an order. All license fees are non-refundable and non-cancelable except as expressly provided in this agreement and do not include shipping, sales or use tax, withholding tax, excise tax, VAT or custom duties, all of which you are responsible for paying above and beyond the license fees due to Licensor or its authorized resellers.

10. ACTIVATION. During installation, an Internet connection is required on the machine where the product is being installed. Only the serial number and a unique product ID provided by the installation program is sent to our servers. Alternatively, if necessary, this information could be submitted from another computer that is connected to the Internet. The information is encrypted using the standard RSA Public/Private key methodology. For security reasons, we do not copy the private key onto the client machine; instead it resides on our servers and thus the need for an Internet connection to obtain a code to complete the install of the software. Our installation does not scan your hard drive or gather any personal information from your computer; therefore, no privacy issues should be of concern to you. Customers are still encouraged to register the product using the traditional and voluntary web site registration form. The installation process should be simple and unobtrusive for all customers. Our goal is to prevent installation of serial numbers that have been obtained from fraudulent purchases, returned products, expired programs and other suspicious means.

11. MAINTENANCE/SUPPORT. You may acquire maintenance/technical support services ("Maintenance/Support") for the Software provided that you subscribe to Licensor's Maintenance/Support programs or to an authorized Licensor partner support program. Maintenance/Support shall be based on the in-country list price and then applicable Maintenance/Support policy in effect at the time such Maintenance/Support is ordered. Maintenance/Support fees are due annually in advance and are nonrefundable and non-cancelable.

12. LIMITED WARRANTY AND LIMITATION OF LIABILITY (a) Limited Warranty and Customer Remedies. Software FX warrants to the person or entity that first purchases a license for use of the Software pursuant to the terms of this Software License Agreement that (i) the Software will perform substantially in accordance with any accompanying Documentation for a period of ninety (90) days from the date of receipt. Some states and jurisdictions do not allow limitations on duration of an implied warranty, so the above limitation may not apply to you. To the extent allowed by applicable law, implied warranties on the Software, if any, are limited to ninety (90) days. Software FX's and its suppliers' entire liability and your exclusive remedy shall be, at Software FX's option, either (i) return of the price paid, if any, or (ii) repair or replacement of the Software that does not meet Software FX's Limited Warranty and which is returned to Software FX with a copy of your receipt. This Limited Warranty is void if failure of the Software has resulted from accident, abuse, misapplication, abnormal use, Trojan horse, virus, or any other malicious external code. Any replacement Software will be warranted for the remainder of the original warranty period or thirty (30) days, whichever is longer. This limited warranty does not apply to Evaluation and/or Pre-release Software. (b) No Other Warranties and Disclaimer. THE FOREGOING LIMITED WARRANTY AND REMEDIES STATE THE SOLE AND EXCLUSIVE REMEDIES FOR SOFTWARE FX OR ITS SUPPLIER'S BREACH OF WARRANTY. SOFTWARE FX AND ITS SUPPLIERS DO NOT AND CANNOT WARRANT THE PERFORMANCE OR RESULTS YOU MAY OBTAIN BY USING THE SOFTWARE. EXCEPT FOR THE FOREGOING LIMITED WARRANTY, AND FOR ANY WARRANTY, CONDITION, REPRESENTATION OR TERM TO THE EXTENT WHICH THE SAME CANNOT OR MAY NOT BE EXCLUDED OR LIMITED BY LAW APPLICABLE TO YOU IN YOUR JURISDICTION, SOFTWARE FX AND ITS SUPPLIERS MAKE NO WARRANTIES, CONDITIONS, REPRESENTATIONS OR TERMS, EXPRESS OR IMPLIED, WHETHER BY STATUTE, COMMON LAW, CUSTOM, USAGE OR OTHERWISE AS TO ANY OTHER MATTERS. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, SOFTWARE FX AND ITS SUPPLIERS DISCLAIM ALL OTHER WARRANTIES AND CONDITIONS, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, SATISFACTORY QUALITY, INFORMATIONAL CONTENT OR ACCURACY, QUIET ENJOYMENT, TITLE AND NON-INFRINGEMENT, WITH REGARD TO THE SOFTWARE, AND THE PROVISION OF OR FAILURE TO PROVIDE SUPPORT SERVICES. THIS LIMITED WARRANTY GIVES YOU SPECIFIC LEGAL RIGHTS. YOU MAY HAVE OTHERS, WHICH VARY FROM STATE/JURISDICTION TO STATE/JURISDICTION. (c) Limitation of Liability. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW EVEN IF A REMEDY FAILS ITS ESSENTIAL PURPOSE, IN NO EVENT SHALL SOFTWARE FX OR ITS SUPPLIERS BE LIABLE FOR ANY SPECIAL, INCIDENTAL, DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR ANY OTHER PECUNIARY LOSS) ARISING OUT OF THE USE OF OR INABILITY TO USE THE SOFTWARE OR THE PROVISION OF OR FAILURE TO PROVIDE SUPPORT SERVICES, EVEN IF SOFTWARE FX HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN ANY CASE, SOFTWARE FX'S ENTIRE LIABILITY UNDER ANY PROVISION OF THIS SOFTWARE LICENSE AGREEMENT SHALL BE LIMITED TO THE AMOUNT ACTUALLY PAID BY YOU FOR THE SOFTWARE PRODUCT. Because some states and jurisdictions do not allow the exclusion or limitation of liability, the above limitation may not apply to you. In such states and jurisdictions, Software FX's liability shall be limited to the greatest extent permitted by law and the limitations or exclusions of warranties and liability contained herein do not prejudice applicable statutory consumer rights of person acquiring goods otherwise than in the course of business. The disclaimer and limited liability above are fundamental to this Software License Agreement between Software FX and you. (d) Infringement Claims. Software FX will indemnify and hold you harmless and will defend or settle any claim, suit or proceeding brought against you by a third party that is based upon a claim that the content contained in the Software infringes a copyright or violates an intellectual or proprietary right protected by United States ("Claim"), but only to the extent the Claim arises directly out of the use of the Software and subject to the limitations set forth in Section 5 of this Agreement except as otherwise expressly provided. You must notify Software FX in writing of any Claim within ten (10) business days after you first receive notice of the Claim, and you shall provide to Software FX at no cost with such assistance and cooperation as Software FX may reasonably request from time to time in connection with the defense of the Claim. Software FX shall have sole control over any Claim (including, without limitation, the selection of counsel and the right to settle on your behalf on any terms Software FX deems desirable in the sole exercise of its discretion). You may, at your sole cost, retain separate counsel and participate in the defense or settlement negotiations. Software FX shall pay actual damages, costs, and attorney fees awarded against you (or payable by you pursuant to a settlement agreement) in connection with a Claim to the extent such direct damages and costs are not reimbursed to you by insurance or a third party, to an aggregate maximum equal to the purchase price of the Software. If the Software or its use becomes the subject of a Claim or its use is enjoined, or if in the opinion of Software FX's legal counsel the Software is likely to become the subject of a Claim, Software FX shall attempt to resolve the Claim by using commercially reasonable efforts to modify the Software or obtain a license to continue using the Software. If in the opinion of Software FX's legal counsel the Claim, the injunction or potential Claim cannot be resolved through reasonable modification or licensing, Software FX, at its own election, may terminate this Software License Agreement without penalty, and will refund to you on a pro rata basis any fees paid in advance by you to Software FX. THE FOREGOING CONSTITUTES SOFTWARE FX'S SOLE AND EXCLUSIVE LIABILITY FOR INTELLECTUAL PROPERTY INFRINGEMENT. This indemnity does not apply to infringements that would not be such, except for customer-supplied elements.

13. JURISDICTION. This Agreement is governed by the laws of the State of Florida, the U.S. Copyright Act and other applicable U.S. federal laws. All disputes or legal proceedings relating to use of the SOFTWARE or this Agreement shall be brought and heard exclusively in the state or federal courts located in Palm Beach County, Florida, and by installing and/or using the SOFTWARE, you hereby irrevocably consent and submit to personal jurisdiction in such courts for all such disputes or legal proceedings.

U.S. GOVERNMENT RESTRICTED RIGHTS

The SOFTWARE and written materials are provided with RESTRICTED RIGHTS. Use, duplication, or disclosure by the Government is subject to restrictions as set forth in subparagraph (c)(1)(ii) of The Rights in Technical Data and Computer Software clause at DFARS 252.227-7013 or subparagraphs (c)(1) and (2) of the Commercial Computer Software - Restricted Rights at 48 CFR 52.227-19, as applicable. Manufacturer is Software FX, Inc.

This Agreement is governed by the laws of the State of Florida, the U.S. Copyright Act and other applicable U.S. federal laws. All disputes or legal proceedings relating to use of the SOFTWARE or this Agreement shall be brought and heard exclusively in the state or federal courts located in Palm Beach County, Florida, and by installing and/or using the SOFTWARE, you hereby irrevocably consent and submit to personal jurisdiction in such courts for all such disputes or legal proceedings.

Top of Page


Troubleshooting Installation
Troubleshooting Installation
In this article

bookmark link Copied Files

bookmark link Web.config Entries

bookmark link WSS Policy File Entries

bookmark link Web Parts Gallery

bookmark link Log Files

Copied Files

DataParts is deployed to the elected sites during installation using a SharePoint solution file. Among other things this solution file takes care of copying the necessary files to the bin folder of your application. A successful installation of DataParts will copy the following files inside the bin folder of your site.

  • AjaxControlToolkit.dll
  • ChartFX.SharePoint.Common.dll
  • ChartFX.SharePoint.dll
  • ChartFX.SharePoint.Gauge.Common.dll
  • ChartFX.SharePoint.Gauge.dll
  • ChartFX.SharePoint.Gauge.Widgets.dll
  • ChartFX.SharePoint.Gauge.Wizard.dll
  • ChartFX.SharePoint.Gauge.Wizard_Lib.dll
  • ChartFX.SharePoint.Wizard.dll
  • ChartFX.SharePoint.Wizard_Lib.dll
  • ChartFX.WebForms.Adornments.dll
  • ChartFX.WebForms.Annotation.dll
  • ChartFX.WebForms.dll
  • ChartFX.WebForms.Gauge.dll
  • ChartFX.WebForms.Maps.dll
  • GridFX.SharePoint.Common.dll
  • GridFX.SharePoint.dll
  • GridFX.SharePoint.Wizard.dll
  • GridFX.SharePoint.Wizard_Lib.dll
  • GridFX.WebForms.dll
  • SoftwareFX.SharePoint.dll
  • SoftwareFX.SharePoint.Widgets.dll
  • SoftwareFX.WebForms.Base.dll
  • SoftwareFX.WebForms.Data.dll

If the files mentioned above cannot be found inside the bin folder of your site you may copy them manually. They are located in the bin folder inside the installation folder of DataParts for SharePoint 2007 (ex. C:\Program Files\Software FX\DataParts 2007\bin).

Top of Page

Web.config Entries

Note:Warning! The web.config file is not meant to be modified manually. If it is necessary to do so in order to configure DataParts note that uninstalling any other components that uses the Ajax framework might override your modifications or delete them. Always create a backup.

One of the files modified by the DataParts for SharePoint 2007 installer is the web.config. This file is laid out as an XML file and is the main configuration and settings file for ASP.NET applications. Because of the importance of this file, DataParts’ installer creates a backup called Web.bak before modifying it (which can be found inside the applications folder next to the new web.config).

The first thing that needs to be done is to create a custom configuration section in the configSection part of the web.config. Here is the part that should be added to the file.

<configuration>
  <configSections>
    <!-- Fill in with file version for bin\SoftwareFX.SharePoint.dll -->
    <sectionGroup name="SoftwareFX.Config" type="SoftwareFX.SharePoint.Configuration.SoftwareFXSectionGroup, SoftwareFX.SharePoint, Version=#.#.#.#, Culture=neutral, PublicKeyToken=a1878e2052c08dce">
    </sectionGroup>
    <sectionGroup name="system.web.extensions" type="System.Web.Configuration.SystemWebExtensionsSectionGroup, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35">
      <sectionGroup name="scripting" type="System.Web.Configuration.ScriptingSectionGroup, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35">
        <section name="scriptResourceHandler" type="System.Web.Configuration.ScriptingScriptResourceHandlerSection, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" requirePermission="false" allowDefinition="MachineToApplication" />
        <sectionGroup name="webServices" type="System.Web.Configuration.ScriptingWebServicesSectionGroup, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35">
          <section name="jsonSerialization" type="System.Web.Configuration.ScriptingJsonSerializationSection, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" requirePermission="false" allowDefinition="Everywhere" />
          <section name="profileServic" type="System.Web.Configuration.ScriptingProfileServiceSection, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" requirePermission="false" allowDefinition="MachineToApplication" />
          <section name="authenticationService" type="System.Web.Configuration.ScriptingAuthenticationServiceSection, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" requirePermission="false" allowDefinition="MachineToApplication" />
        </sectionGroup>
      </sectionGroup>
    </sectionGroup>

Note:It is very important to replace the "#" place holders with the current version of the dlls.

Next, all DataParts controls need to be added to the list of SafeControls so that they can be added to the list of controls and used.

<configuration>
  <SharePoint>
    <SafeControls>
      <SafeControl Assembly="ChartFX.SharePoint, Version=1.0.3300.0, Culture=neutral, PublicKeyToken=a1878e2052c08dce" Namespace="ChartFX.SharePoint" TypeName="*" Safe="True" />
      <SafeControl Assembly="GridFX.SharePoint, Version=1.0.3300.0, Culture=neutral, PublicKeyToken=a1878e2052c08dce" Namespace="GridFX.SharePoint" TypeName="*" Safe="True" />
      <SafeControl Assembly="ChartFX.SharePoint.Gauge, Version=1.0.3300.0, Culture=neutral, PublicKeyToken=a1878e2052c08dce" Namespace="ChartFX.SharePoint.Gauge" TypeName="*" Safe="True" />
      <SafeControl Assembly="System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" Namespace="System.Web.UI" TypeName="*" Safe="True" />

DataParts needs a certain set of trust levels on the security policy. A new WSS policy file is created and we need to add its path to the web.config file. Here is an example of what that would look like.

<configuration>
  <system.web>
    <securityPolicy>
      <trustLevel name="WSS_Custom" policyFile="C:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\12\config\wss_custom_wss_minimaltrust.config" />

Note:The file’s path here is just an example and may differ from system to system.

Http handlers need to be configured for the scripts and images.

<configuration>
  <system.web>
    <httpHandlers>
      <add verb="*" path="*.asmx" validate="false" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
      <add verb="*" path="*_AppService.axd" validate="false" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
      <!-- Fill in with file version for bin\GridFX.WebForms.dll -->
      <add path="GridFXResource.axd" verb="GET,HEAD" type="GridFX.WebForms.GridResourceHandler, GridFX.WebForms, Version=#.#.#.#, Culture=neutral, PublicKeyToken=a1878e2052c08dce" />
      <add verb="GET,HEAD" path="ScriptResource.axd" type="System.Web.Handlers.ScriptResourceHandler, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" validate="false" />
      <!-- Fill in with file version for bin\SoftwareFX.WebForms.Base.dll -->
      <add path="softwarefx/*" verb="GET,POST" type="SoftwareFX.WebForms.Internal.DispatcherHttpHandler, SoftwareFX.WebForms.Base, Version=#.#.#.#, Culture=neutral, PublicKeyToken=a1878e2052c08dce" />

Note:It is very important to replace the "#" place holders with the current version of the dlls.

The following entries are added to allow for the use of Ajax.

<configuration>
  <system.web>
    <httpModules>
      <add name="ScriptModule" type="System.Web.Handlers.ScriptModule, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />

Also.

<configuration>
  <system.web>
    <compilation batch="false" debug="false">
      <assemblies>
        <add assembly="System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />

And finally.

<configuration>
  <system.web>
    <pages enableSessionState="false" enableViewState="true" enableViewStateMac="true" validateRequest="false" pageParserFilterType="Microsoft.SharePoint.ApplicationRuntime.SPPageParserFilter, Microsoft.SharePoint, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" asyncTimeout="7">
      <controls>
        <add tagPrefix="asp" namespace="System.Web.UI" assembly="System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
      </controls>

As we have seen previously, the installer will create a new WSS policy file. We need to instruct the website to use it. The line below should be previously existent and only modified.

<configuration>
  <system.web>
    <trust level="WSS_Custom" originUrl="" />

More handlers needs to be added to system.webServer node.

<configuration>
  <system.webServer>
    <handlers>
      <!-- Fill in with file version for bin\GridFX.WebForms.dll -->
      <add name="Grid FX Resource Handler" path="GridFXResource.axd" verb="GET,HEAD" type="GridFX.WebForms.GridResourceHandler, GridFX.WebForms, Version=#.#.#.#, Culture=neutral, PublicKeyToken=a1878e2052c08dce" />
      <!-- Fill in with file version for bin\SoftwareFX.WebForms.Base.dll -->
      <add name="Software FX Dispatcher Handler" path="softwarefx/*" verb="GET,POST" type="SoftwareFX.WebForms.Internal.DispatcherHttpHandler, SoftwareFX.WebForms.Base, Version=#.#.#.#, Culture=neutral, PublicKeyToken=a1878e2052c08dce" />

Note:It is very important to replace the "#" place holders with the current version of the dlls.

Finally, if authentication is used on the site, the web.config file needs the following lines. The installer will add the lines as comments in case authentication is later implemented. It is a good practice to do the same if editing web.config manually.

<configuration>
  <system.web.extensions>
    <scripting>
      <webServices>
        <!-- Uncomment this line to enable the authentication service. Include requireSSL="true" if appropriate. -->
        <!--<authenticationService enabled="true" requireSSL = "true|false"/>-->
        <!-- Uncomment these lines to enable the profile service. To allow profile properties to be retrieved and modified in ASP.NET AJAX applications, you need to add each property name to the readAccessProperties and writeAccessProperties attributes. -->
        <!--<profileService enabled="true"readAccessProperties="propertyname1,propertyname2"writeAccessProperties="propertyname1,propertyname2" />-->
      </webServices>
      <!--<scriptResourceHandler enableCompression="true" enableCaching="true" />-->
    </scripting>
  </system.web.extensions>

If any of the lines above are not found in the web.config file after installation, you may have to add them manually. Once again, note that doing so is not the best practice. It is recommended that you run the necessary tools to deploy DataParts on every website you need to.

In summary, here are all the nodes that need to be merged to your existing web.config file.

Note:The lines below are a combination of all the above. Do NOT replace your web.config file by them. Just make sure they are somewhere inside your existent web.config file, in addition to what was there previously.

Note:It is very important to replace the "#" place holders with the current version of the dlls.

<configuration>
      <configSections>
            <!-- Fill in with file version for bin\SoftwareFX.SharePoint.dll -->
            <sectionGroup name="SoftwareFX.Config" type="SoftwareFX.SharePoint.Configuration.SoftwareFXSectionGroup, SoftwareFX.SharePoint, Version=#.#.#.#, Culture=neutral, PublicKeyToken=a1878e2052c08dce">
            </sectionGroup>
            <sectionGroup name="system.web.extensions" type="System.Web.Configuration.SystemWebExtensionsSectionGroup, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35">
                  <sectionGroup name="scripting" type="System.Web.Configuration.ScriptingSectionGroup, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35">
                  <section name="scriptResourceHandler" type="System.Web.Configuration.ScriptingScriptResourceHandlerSection, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" requirePermission="false" allowDefinition="MachineToApplication" />
                        <sectionGroup name="webServices" type="System.Web.Configuration.ScriptingWebServicesSectionGroup, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35">
                              <section name="jsonSerialization" type="System.Web.Configuration.ScriptingJsonSerializationSection, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" requirePermission="false" allowDefinition="Everywhere" />
                              <section name="profileServic" type="System.Web.Configuration.ScriptingProfileServiceSection, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" requirePermission="false" allowDefinition="MachineToApplication" />
                              <section name="authenticationService" type="System.Web.Configuration.ScriptingAuthenticationServiceSection, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" requirePermission="false" allowDefinition="MachineToApplication" />
                        </sectionGroup>
                  </sectionGroup>
            </sectionGroup>
      </configSections>
      <SharePoint>
            <SafeControls>
                  <SafeControl Assembly="ChartFX.SharePoint, Version=1.0.3300.0, Culture=neutral, PublicKeyToken=a1878e2052c08dce" Namespace="ChartFX.SharePoint" TypeName="*" Safe="True" />
                  <SafeControl Assembly="GridFX.SharePoint, Version=1.0.3300.0, Culture=neutral, PublicKeyToken=a1878e2052c08dce" Namespace="GridFX.SharePoint" TypeName="*" Safe="True" />
                  <SafeControl Assembly="ChartFX.SharePoint.Gauge, Version=1.0.3300.0, Culture=neutral, PublicKeyToken=a1878e2052c08dce" Namespace="ChartFX.SharePoint.Gauge" TypeName="*" Safe="True" />
                  <SafeControl Assembly="System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" Namespace="System.Web.UI" TypeName="*" Safe="True" />
            </SafeControls>
      </SharePoint>
      <system.web>
            <securityPolicy>
                  <trustLevel name="WSS_Custom" policyFile="C:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\12\config\wss_custom_wss_minimaltrust.config" />
            </securityPolicy>
            <httpHandlers>
                  <add verb="*" path="*.asmx" validate="false" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
                  <add verb="*" path="*_AppService.axd" validate="false" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
                  <!-- Fill in with file version for bin\GridFX.WebForms.dll -->
                  <add path="GridFXResource.axd" verb="GET,HEAD" type="GridFX.WebForms.GridResourceHandler, GridFX.WebForms, Version=#.#.#.#, Culture=neutral, PublicKeyToken=a1878e2052c08dce" />
                  <add verb="GET,HEAD" path="ScriptResource.axd" type="System.Web.Handlers.ScriptResourceHandler, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" validate="false" />
                  <!-- Fill in with file version for bin\SoftwareFX.WebForms.Base.dll -->
                  <add path="softwarefx/*" verb="GET,POST" type="SoftwareFX.WebForms.Internal.DispatcherHttpHandler, SoftwareFX.WebForms.Base, Version=#.#.#.#, Culture=neutral, PublicKeyToken=a1878e2052c08dce" />
            </httpHandlers>
            <httpModules>
                  <add name="ScriptModule" type="System.Web.Handlers.ScriptModule, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
            </httpModules>
            <compilation batch="false" debug="false">
                  <assemblies>
                        <add assembly="System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
                  </assemblies>
            </compilation>
            <pages enableSessionState="false" enableViewState="true" enableViewStateMac="true" validateRequest="false" pageParserFilterType="Microsoft.SharePoint.ApplicationRuntime.SPPageParserFilter, Microsoft.SharePoint, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" asyncTimeout="7">
                  <controls>
                        <add tagPrefix="asp" namespace="System.Web.UI" assembly="System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
                  </controls>
            </pages>
            <trust level="WSS_Custom" originUrl="" />
      </system.web>
      <system.webServer>
            <handlers>
                  <!-- Fill in with file version for bin\GridFX.WebForms.dll -->
                  <add name="Grid FX Resource Handler" path="GridFXResource.axd" verb="GET,HEAD" type="GridFX.WebForms.GridResourceHandler, GridFX.WebForms, Version=#.#.#.#, Culture=neutral, PublicKeyToken=a1878e2052c08dce" />
                  <!-- Fill in with file version for bin\SoftwareFX.WebForms.Base.dll -->
                  <add name="Software FX Dispatcher Handler" path="softwarefx/*" verb="GET,POST" type="SoftwareFX.WebForms.Internal.DispatcherHttpHandler, SoftwareFX.WebForms.Base, Version=#.#.#.#, Culture=neutral, PublicKeyToken=a1878e2052c08dce" />
            </handlers>
      </system.webServer>
      <system.web.extensions>
            <scripting>
                  <webServices>
                        <!-- Uncomment this line to enable the authentication service. Include requireSSL="true" if appropriate. -->
                        <!--<authenticationService enabled="true" requireSSL = "true|false"/>-->
                        <!-- Uncomment these lines to enable the profile service. To allow profile properties to be retrieved and modified in ASP.NET AJAX applications, you need to add each property name to the readAccessProperties and writeAccessProperties attributes. -->
                        <!--<profileService enabled="true"readAccessProperties="propertyname1,propertyname2"writeAccessProperties="propertyname1,propertyname2" />-->
                  </webServices>
            <!--<scriptResourceHandler enableCompression="true" enableCaching="true" />-->
            </scripting>
      </system.web.extensions>
</configuration>

Top of Page

WSS Policy File Entries

Like the web.config file, the WSS policy file is written as an XML. FullTrust needs to be given to DataParts components. Here are the lines that should be added automatically to the file. Note that you may find many policy files in your application folder. The one to be modified should be listed in your web.config file, as a child of <system.web>/<sercurityPolicy> and selected to be the policy file used.

<configuration>
  <mscorlib>
    <security>
      <policy>
        <PolicyLevel version="1">
          <SecurityClasses>
          <CodeGroup class="FirstMatchCodeGroup" version="1" PermissionSetName="Nothing">
            <CodeGroup class="UnionCodeGroup" version="1" PermissionSetName="FullTrust">
              <IMembershipCondition version="1" class="StrongNameMembershipCondition" PublicKeyBlob="00240000048000009400000006020000002400005253413100040000010001008F2BD4C3C90EC88546137E913600741FDDDD929F05D032D52FD1606B88609899B3F737A0E6881C5F3BBA0A18FC60528790F652E64A418687FB538C3C86D325866D6DB0721E16DF48B1B7C6EBB07BC883D4A119E85EACE1110842F59712385EBE6AE2A0229E205EF8E284CEC0A217CE1EECBD63C1BF47478555FC9E36AF1EF1B3" />
            </CodeGroup>
            <CodeGroup class="UnionCodeGroup" version="1" PermissionSetName="FullTrust">
              <IMembershipCondition version="1" class="StrongNameMembershipCondition" PublicKeyBlob="00240000048000009400000006020000002400005253413100040000010001003d35b05ac523a5dbbdb65b6158a5de0eb20d2519ff6956ae294fcada2ca2d354428a1163f56e8294c277132ba0759d85b87df88169b63f8519882738bba48b91260f3e090252de6da366e8f16ee32b4c816cd9f6a466232d57e55bb92cae3e4a6e01b4c0b41241819d25d5dcbf6f1cddb0b7abbae608cb541106e8855f0bceb6" />
            </CodeGroup>

Top of Page

Web Parts Gallery

The installer will add all DataParts web parts to the site’s Web Parts Gallery automatically. If you cannot find DataParts in the Web Parts Gallery, you may need to add it manually.

To manually add the DataParts webparts to the gallery, first go to the Home page. Then click Site Actions (on the top right corner), Site Settings, Modify All Site Settings.

On the Site Settings page, click on Web Parts, under the Galleries column.

A list with all the current Web Parts in your Gallery will appear. On the top left corner of the list, there is a button to add Web Parts called New. Click on the button.

On the New Web Parts page, locate the DataParts web parts. Here is a list of the names you are looking for.

  • ChartFX.SharePoint.ChartPart
  • ChartFX.SharePoint.Gauge.DigitalPanelPart
  • ChartFX.SharePoint.Gauge.HorizontalGaugePart
  • ChartFX.SharePoint.Gauge.RadialGaugePart
  • ChartFX.SharePoint.Gauge.VerticalGaugePart
  • ChartFX.SharePoint.MapPart
  • GridFX.SharePoint.AdvancedList
  • GridFX.SharePoint.CardView

Check the checkbox for each item and click Populate Gallery (on the top left corner).

Verify that the webparts were indeed added to the list. On the screenshot below all new webparts are displayed on top. This may not be the case on your machine.

Top of Page

Log Files

After running the DataParts for SharePoint 2007 installer or Web Application Deployment Manager log files are generated and called InstallFX.log and DataParts2007_WADM.log. These files might contain useful information when trying to troubleshoot DataParts for SharePoint 2007. If further troubleshooting is necessary, contact support@softwarefx.com providing us with those files, your Serial Number and Support Account Number, as well as any relevant information about the issue.

Top of Page


Troubleshooting PSS
Troubleshooting PSS
In this article

bookmark link About PSS

bookmark link The service did not respond to the start or control request in a timely fashion

bookmark link Turning Off PSS

About PSS

The Software FX PSS (Performance, Scalability & Security) is a service that runs on the server. As the name suggests, it handles the generated images to increase performance, scalability and security. Although running PSS is not a requirement for DataParts for SharePoint 2007 to function, it is definitely recommended. To check if PSS is running, open the Services application inside Administrative Tools, in Windows. The service is called “Software FX PSS Service”, its status should be “Started” and it should list as an Automatic Startup Type. If not started, try starting it manually and then restarting IIS or rebooting the machine.

PSS can be turned on or off as well as configured by using the config files. While the PSS for Advanced List and Card View is configured inside the web.config file, the Chart and Gauges have their own config files (ChartFX.WebForms.config and ChartFX.WebForms.Gauge.config). For simplicity and consistency those files should just redirect to a common DataParts.config. Here is what both ChartFX.WebForms.config and ChartFX.WebForms.Gauges.config should look like (on it’s entirety).

<?xml version="1.0" encoding="utf-8"?>
<chartfx xmlns="http://schemas.softwarefx.com/ChartFX.WebForms.75">
   <Redirect>DataParts.config</Redirect>
</chartfx>

Top of Page

The service did not respond to the start or control request in a timely fashion

If Software FX PSS service could not be started, and you get: "Error 1053: The service did not respond to the start or control request in a timely fashion"

Follow the next steps to increase the timeout to give it more time to load:

1. Click Start, click Run, type regedit, and then click OK.

2. Locate and then click the following registry subkey:

HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services

3. Right-click Software FX PSS Service, point to New, and then click DWORD Value

4. In the New Value #1 box, type ServicesPipeTimeout, and then press ENTER

5. Right-click ServicesPipeTimeout, and then click Modify

6. Click Decimal, type the number of milliseconds that you want to wait until the service times out, and then click OK. Typically, a data value of 35,000 is sufficient to keep the service from timing out. However, you can reduce or increase this value according to your specific startup requirements. For example, to wait 60 seconds before the service times out, type 60000.

7. Quit Registry Editor and restart the computer.

Top of Page

Turning Off PSS

To turn PSS off, a temporary folder needs to be assigned to host the images. First, choose the folder you would like to use. For example, we can choose to hold the temporary images on the following path:

  • C:\inetpub\wwwroot\Temp

Knowing that both ChartFX.WebForms.config and ChartFX.WebForms.Gauges.config both redirect to DataParts.config, here is what the later should look like.

<?xml version="1.0" encoding="utf-8"?>
<chartfx xmlns="http://schemas.softwarefx.com/ChartFX.WebForms.75">
      <PssOutput>
            <AllowFallback>true</AllowFallback>
      </PssOutput>
      <FileOutput>
                <TempFolderPath>C:\\inetpub\\wwwroot\\Temp</TempFolderPath>
                <DeleteFilesInterval>0:0:30</DeleteFilesInterval>
            <DiskSlidingTime>0:1:0</DiskSlidingTime>
      </FileOutput>
</chartfx>

As mentioned earlier, PSS for Advanced List and Card View is configured inside web.config. So we need to add a line to <configSections>, as below.

<configuration>
  <configSections>
<!-- Fill in with the file version for bin\GridFX.WebForms.dll -->
<section name="gridFX.WebForms" type="GridFX.WebForms.GridConfigurationSection, GridFX.WebForms, Version=#.#.#.#, Culture=neutral, PublicKeyToken=a1878e2052c08dce" />

Note:It is very important to replace the "#" place holders with the current version of the dlls.

And then configure the temporary folder path.

<configuration>
  <gridFX.WebForms>
     <temporaryFiles physicalPath="C:\\inetpub\\wwwroot\\Temp">
     </temporaryFiles>
  </gridFX.WebForms>

Top of Page